"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _react2 = require("@storybook/react");

var _react3 = require("@storybook/addon-knobs/react");

var _BigCalendar = _interopRequireDefault(require("./BigCalendar"));

var _cloneDeep = _interopRequireDefault(require("lodash/cloneDeep"));

var _moment = _interopRequireDefault(require("moment"));

var _storyUsers = _interopRequireDefault(require("./storyUsers"));

var _storyEvents = _interopRequireDefault(require("./storyEvents"));

// Mock data
var stories = (0, _react2.storiesOf)('Big Calendar', module);
var today = (0, _moment.default)();
var CATEGORIES = {
  data: 'Data',
  ranges: 'Date/Time Ranges',
  modes: 'User Modes',
  formatting: 'Formatting',
  dayView: 'Day View',
  interactions: 'Interactions',
  schedules: 'Schedules'
};

var BigCalendarExample =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(BigCalendarExample, _Component);

  function BigCalendarExample(props) {
    var _this;

    (0, _classCallCheck2.default)(this, BigCalendarExample);
    _this = (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(BigCalendarExample).call(this, props));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      users: _storyUsers.default,
      events: _storyEvents.default,
      userMode: 'everyone'
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleDropEvent", function (_ref) {
      var event = _ref.event,
          dragEvent = _ref.dragEvent,
          newStartAt = _ref.newStartAt,
          newUser = _ref.newUser,
          blockUpdates = _ref.blockUpdates;

      if (!event) {
        alert("you created a new event at ".concat(newStartAt.format('YYYY-MM-DD HH:mma'), " for ").concat(newUser.name));
        return false;
      }

      console.log({
        event: event,
        newStartAt: newStartAt,
        newUser: newUser,
        blockUpdates: blockUpdates
      });
      var eventsCopy = (0, _toConsumableArray2.default)(_this.state.events);
      var eventCopy = (0, _cloneDeep.default)(event);

      if (event.userId === 'ee65a588-75f8-414c-b3b0-7d1e9f2c7a27' || newUser && newUser.id === 'ee65a588-75f8-414c-b3b0-7d1e9f2c7a27') {
        return false;
      } else if (newUser) {
        eventCopy.userId = newUser.id;
      }

      if (newStartAt) {
        eventCopy.startAt = newStartAt.format('YYYY-MM-DD HH:mm:ss');
      }

      if (blockUpdates) {
        blockUpdates.forEach(function (update, blockIdx) {
          eventCopy.blocks[blockIdx].durationSec = update.newDurationSec;
        });
      }

      eventCopy.blocks = eventCopy.blocks.filter(function (block) {
        return block.durationSec > 0;
      });

      var eventIdx = _this.state.events.indexOf(event);

      eventsCopy.splice(eventIdx, 1);
      eventsCopy.push(eventCopy);

      _this.setState({
        events: eventsCopy
      });

      return true;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleUserModeChange", function (mode) {
      var users;

      switch (mode) {
        case 'everyone':
          users = _storyUsers.default;
          break;

        case 'me':
          users = [_storyUsers.default[0]];
          break;

        case 'working':
          users = [_storyUsers.default[0], _storyUsers.default[3], _storyUsers.default[4]];
          break;
      }

      _this.setState({
        userMode: mode,
        users: users
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleDoubleClickView", function (_ref2) {
      var time = _ref2.time,
          user = _ref2.user;

      if (!time) {
        alert("double clicked header for ".concat(user.name));
      } else {
        alert("double click at ".concat(time.format('h:mm'), " with ").concat(user.name));
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleClickView", function (_ref3) {
      var time = _ref3.time,
          user = _ref3.user;
      alert("single click at ".concat(time.format('h:mm'), " with ").concat(user.name));
    });
    _this.bigCalRef = _react.default.createRef();
    (0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this));
    return _this;
  }

  (0, _createClass2.default)(BigCalendarExample, [{
    key: "render",
    value: function render() {
      var _this$state = this.state,
          users = _this$state.users,
          events = _this$state.events,
          userMode = _this$state.userMode;
      return _react.default.createElement(_BigCalendar.default // users={object('users', users, CATEGORIES.data)}
      // allEvents={object('allEvents', events, CATEGORIES.data)}
      , {
        users: users,
        allEvents: events,
        defaultStartDate: (0, _react3.date)('defaultStartDate', today.toDate(), CATEGORIES.ranges),
        slotsPerHour: (0, _react3.number)('slotsPerHour', 4, {
          range: true,
          min: 1,
          max: 12
        }, CATEGORIES.ranges),
        timezone: (0, _react3.text)('timezone', 'America/Denver', CATEGORIES.ranges),
        defaultMinTime: (0, _react3.text)('defaultMinTime', '07:00', CATEGORIES.ranges),
        defaultMaxTime: (0, _react3.text)('defaultMaxTime', '20:00', CATEGORIES.ranges),
        defaultStartTime: (0, _react3.text)('defaultStartTime', '09:00', CATEGORIES.ranges),
        defaultEndTime: (0, _react3.text)('defaultEndTime', '18:00', CATEGORIES.ranges),
        userModeOptions: (0, _react3.object)('userModeOptions', {
          everyone: 'Everyone',
          working: 'Working',
          me: 'Me'
        }, CATEGORIES.modes),
        userMode: (0, _react3.text)('userMode', userMode, CATEGORIES.modes),
        headerDateFormat: (0, _react3.text)('headerDateFormat', 'MMMM YYYY', CATEGORIES.formatting),
        mobileHeaderDateFormat: (0, _react3.text)('mobileHeaderDateFormat', 'MMMM Do, YYYY', CATEGORIES.formatting),
        eventTimeFormat: (0, _react3.text)('eventTimeFormat', 'h:mma', CATEGORIES.formatting),
        longPressDelay: (0, _react3.number)('longPressDelay', 500, {}, CATEGORIES.interactions),
        doubleClickToCreate: (0, _react3.boolean)('doubleClickToCreate', false, CATEGORIES.interactions),
        doubleClickTime: (0, _react3.number)('doubleClickTime', 250, {}, CATEGORIES.interactions),
        userSchedules: (0, _react3.object)('userSchedules', {
          'd9ce818a-0ef1-46ba-b44c-b293f5dbd0ff': (0, _defineProperty2.default)({}, today.format('YYYY-MM-DD'), {
            startTime: '10:00',
            endTime: '18:00'
          }),
          '909beac7-42f7-443f-bd86-c762705c0c18': (0, _defineProperty2.default)({}, today.format('YYYY-MM-DD'), {
            startTime: '08:00',
            endTime: '16:00'
          }),
          'ce914128-c77c-40fa-b5ef-d6faa3ed26a1': (0, _defineProperty2.default)({}, today.format('YYYY-MM-DD'), {
            startTime: '11:00',
            endTime: '19:00'
          })
        }, CATEGORIES.schedules),
        viewProps: {
          day: {
            newEventDefaultDuractionSec: (0, _react3.number)('viewProps.day.newEventDefaultDuractionSec', 900 * 4, {}, CATEGORIES.dayView),
            allowResizeToZeroDurationBlocks: (0, _react3.boolean)('viewProps.day.allowResizeToZeroDurationBlocks', true, CATEGORIES.dayView),
            allowResizeFirstBlockToZeroDuration: (0, _react3.boolean)('viewProps.day.allowResizeFirstBlockToZeroDuration', false, CATEGORIES.dayView),
            dragThreshold: (0, _react3.number)('viewProps.day.dragThreshold', 10, {}, CATEGORIES.dayView),
            dragScrollSpeed: (0, _react3.number)('viewProps.day.dragScrollSpeed', 5, {}, CATEGORIES.dayView),
            timeGutterFormat: (0, _react3.text)('viewProps.day.timeGutterFormat', 'ha', CATEGORIES.dayView),
            scrollDuringDragMargin: (0, _react3.number)('viewProps.day.scrollDuringDragMargin', 50, {}, CATEGORIES.dayView)
          }
        },
        onDoubleClickView: this.handleDoubleClickView,
        onClickView: this.handleClickView,
        onChangeUserMode: this.handleUserModeChange,
        ref: this.bigCalRef,
        onDropEvent: this.handleDropEvent
      });
    }
  }]);
  return BigCalendarExample;
}(_react.Component);

stories.addDecorator(_react3.withKnobs);
stories.add('Big Calendar', function () {
  return _react.default.createElement(BigCalendarExample, {
    STORYBOOKdoNotWrap: true
  });
});