"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _classnames = _interopRequireDefault(require("classnames"));

var _es6Tween = require("es6-tween");

var _momentTimezone = _interopRequireDefault(require("moment-timezone"));

var _react = _interopRequireWildcard(require("react"));

var _Header = _interopRequireDefault(require("./components/Header/Header"));

var _Views = _interopRequireDefault(require("./components/Views"));

var _size = _interopRequireDefault(require("./utils/size"));

// sub components
(0, _es6Tween.autoPlay)(true);

var BigCalendar =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(BigCalendar, _Component);

  function BigCalendar(props) {
    var _this;

    (0, _classCallCheck2.default)(this, BigCalendar);
    _this = (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(BigCalendar).call(this, props)); // setup refs

    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      selectedView: _this.props.defaultView,
      bodyWidth: -1,
      bodyHeight: -1,
      calendarBodyHeight: 0,
      startDate: null,
      currentHorizontalPage: 0,
      totalHorizontalPages: 0
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "componentDidMount", function () {
      window.addEventListener('resize', _this.handleSizing);

      _this.handleSizing(); //TODO better way to detect everything is rendered and sized correctly


      setTimeout(_this.handleSizing, 1000);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "componentWillUnmount", function () {
      window.removeEventListener('resize', _this.handleSizing);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getDefaultStartDate", function () {
      // TODO use cookies that can work both client and server side
      return _momentTimezone.default.tz(_this.props.defaultStartDate || new Date(), _this.props.timezone);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getDateRange", function () {
      var _this$state = _this.state,
          startDate = _this$state.startDate,
          selectedView = _this$state.selectedView;

      var _VIEWS$selectedView$p = (0, _slicedToArray2.default)(_Views.default[selectedView].pageAmount, 2),
          duration = _VIEWS$selectedView$p[0],
          unit = _VIEWS$selectedView$p[1];

      return {
        startAt: (0, _momentTimezone.default)(startDate).startOf('day'),
        endAt: (0, _momentTimezone.default)(startDate).add(duration, unit).endOf('day')
      };
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleSizing", function () {
      // can sometimes fire too early (before the ref is set)
      if (!_this.domNodeRef.current) {
        return;
      } //get node for scroll wrapper


      var scrollNode = _this.domNodeRef.current.querySelectorAll('.bigcalendar__drag-grid')[0]; // calc positions


      var scrollTop = _size.default.getTop(scrollNode);

      var width = _size.default.bodyWidth();

      var height = _size.default.bodyHeight();

      var calendarBodyHeight = height - scrollTop;

      _this.setState({
        bodyWidth: width,
        bodyHeight: height,
        calendarBodyHeight: calendarBodyHeight
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleChangeView", function (view) {
      console.log('change view!');
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleBackDate", function () {
      var _this$getViewDetails$ = (0, _slicedToArray2.default)(_this.getViewDetails().pageAmount, 2),
          amount = _this$getViewDetails$[0],
          unit = _this$getViewDetails$[1];

      var nextDate = (0, _momentTimezone.default)(_this.state.startDate).subtract(amount, unit);

      _this._setStartDate(nextDate);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleNextDate", function () {
      var _this$getViewDetails$2 = (0, _slicedToArray2.default)(_this.getViewDetails().pageAmount, 2),
          amount = _this$getViewDetails$2[0],
          unit = _this$getViewDetails$2[1];

      var nextDate = (0, _momentTimezone.default)(_this.state.startDate).add(amount, unit);

      _this._setStartDate(nextDate);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "_setStartDate",
    /*#__PURE__*/
    function () {
      var _ref = (0, _asyncToGenerator2.default)(
      /*#__PURE__*/
      _regenerator.default.mark(function _callee(date) {
        var _this$props$onChangeS, onChangeStartDate;

        return _regenerator.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _this$props$onChangeS = _this.props.onChangeStartDate, onChangeStartDate = _this$props$onChangeS === void 0 ? function (date) {} : _this$props$onChangeS;
                _context.next = 3;
                return _this.setState({
                  startDate: date
                });

              case 3:
                onChangeStartDate(date);

              case 4:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      return function (_x) {
        return _ref.apply(this, arguments);
      };
    }());
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleDateToToday",
    /*#__PURE__*/
    (0, _asyncToGenerator2.default)(
    /*#__PURE__*/
    _regenerator.default.mark(function _callee2() {
      var date, _this$props$onChangeS2, onChangeStartDate;

      return _regenerator.default.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              date = (0, _momentTimezone.default)();
              _this$props$onChangeS2 = _this.props.onChangeStartDate, onChangeStartDate = _this$props$onChangeS2 === void 0 ? function (date) {} : _this$props$onChangeS2;
              _context2.next = 4;
              return _this.setState({
                startDate: date
              });

            case 4:
              onChangeStartDate(date);

            case 5:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2, this);
    })));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getViewDetails", function (view) {
      var v = view || _this.state.selectedView;
      return _Views.default[v];
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getViewProps", function () {
      return _this.props.viewProps[_this.state.selectedView] || {};
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleUpdateHorizontalPagerDetails", function (_ref3) {
      var currentPage = _ref3.currentPage,
          totalPages = _ref3.totalPages;

      if (_this.state.currentHorizontalPage !== currentPage || _this.state.totalHorizontalPages !== totalPages) {
        _this.setState({
          currentHorizontalPage: currentPage,
          totalHorizontalPages: totalPages
        });
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleHorizontalPageNext", function () {
      // calling directly to avoid re-render before a potentially heavy animation
      _this.selectedViewRef.current && _this.selectedViewRef.current.handleHorizontalPageNext && _this.selectedViewRef.current.handleHorizontalPageNext();
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleHorizontalPageBack", function () {
      // calling directly to avoid re-render before a potentially heavy animation
      _this.selectedViewRef.current && _this.selectedViewRef.current.handleHorizontalPageBack && _this.selectedViewRef.current.handleHorizontalPageBack();
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getStartTimeForUser", function (user, date) {
      var _this$props = _this.props,
          userSchedules = _this$props.userSchedules,
          defaultStartTime = _this$props.defaultStartTime; // if there is a user schedule object, but this day is empty, assume they are not working

      if (userSchedules && (!userSchedules[user.id] || !userSchedules[user.id][date.format('YYYY-MM-DD')])) {
        return false;
      }

      var time = userSchedules && userSchedules[user.id] && userSchedules[user.id][date.format('YYYY-MM-DD')] ? userSchedules[user.id][date.format('YYYY-MM-DD')].startTime : defaultStartTime;
      return time;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getEndTimeForUser", function (user, date) {
      var _this$props2 = _this.props,
          userSchedules = _this$props2.userSchedules,
          defaultEndTime = _this$props2.defaultEndTime; // if there is a user schedule object, but this day is empty, assume they are not working

      if (userSchedules && (!userSchedules[user.id] || !userSchedules[user.id][date.format('YYYY-MM-DD')])) {
        return false;
      }

      var time = userSchedules && userSchedules[user.id] && userSchedules[user.id][date.format('YYYY-MM-DD')] ? userSchedules[user.id][date.format('YYYY-MM-DD')].endTime : defaultEndTime;
      return time;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleChangeUserMode", function (mode) {
      var _this$props$onChangeU = _this.props.onChangeUserMode,
          onChangeUserMode = _this$props$onChangeU === void 0 ? function (mode) {} : _this$props$onChangeU;
      onChangeUserMode(mode);
    });
    _this.domNodeRef = _react.default.createRef();
    _this.selectedViewRef = _react.default.createRef(); // default start date

    _this.state.startDate = _this.getDefaultStartDate(); // make sure users and timezone are passed

    var users = props.users,
        timezone = props.timezone;

    if (!users) {
      throw new Error('Please supply `users` prop to BigCalendar. Make sure it as array of User objects {id, name}');
    }

    if (!timezone) {
      throw new Error('Please supply `timezone` prop to BigCalendar. Use what moment uses (see TZ* col): https://en.wikipedia.org/wiki/List_of_tz_database_time_zones');
    }

    return _this;
  }

  (0, _createClass2.default)(BigCalendar, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate() {}
  }, {
    key: "render",
    value: function render() {
      var _this$props3 = this.props,
          className = _this$props3.className,
          headerDateFormat = _this$props3.headerDateFormat,
          mobileHeaderDateFormat = _this$props3.mobileHeaderDateFormat,
          slotsPerHour = _this$props3.slotsPerHour,
          allEvents = _this$props3.allEvents,
          onDropEvent = _this$props3.onDropEvent,
          timezone = _this$props3.timezone,
          longPressDelay = _this$props3.longPressDelay,
          defaultMinTime = _this$props3.defaultMinTime,
          defaultMaxTime = _this$props3.defaultMaxTime,
          defaultStartTime = _this$props3.defaultStartTime,
          defaultEndTime = _this$props3.defaultEndTime,
          defaultView = _this$props3.defaultView,
          _ = _this$props3.viewProps,
          userModeOptions = _this$props3.userModeOptions,
          onChangeUserMode = _this$props3.onChangeUserMode,
          userMode = _this$props3.userMode,
          userSchedules = _this$props3.userSchedules,
          users = _this$props3.users,
          onChangeStartDate = _this$props3.onChangeStartDate,
          doubleClickTime = _this$props3.doubleClickTime,
          onDoubleClickView = _this$props3.onDoubleClickView,
          onClickView = _this$props3.onClickView,
          doubleClickToCreate = _this$props3.doubleClickToCreate,
          defaultStartDate = _this$props3.defaultStartDate,
          eventTimeFormat = _this$props3.eventTimeFormat,
          headerCellDowFormat = _this$props3.headerCellDowFormat,
          headerCellDayFormat = _this$props3.headerCellDayFormat,
          props = (0, _objectWithoutProperties2.default)(_this$props3, ["className", "headerDateFormat", "mobileHeaderDateFormat", "slotsPerHour", "allEvents", "onDropEvent", "timezone", "longPressDelay", "defaultMinTime", "defaultMaxTime", "defaultStartTime", "defaultEndTime", "defaultView", "viewProps", "userModeOptions", "onChangeUserMode", "userMode", "userSchedules", "users", "onChangeStartDate", "doubleClickTime", "onDoubleClickView", "onClickView", "doubleClickToCreate", "defaultStartDate", "eventTimeFormat", "headerCellDowFormat", "headerCellDayFormat"]);
      var _this$state2 = this.state,
          selectedView = _this$state2.selectedView,
          startDate = _this$state2.startDate,
          bodyWidth = _this$state2.bodyWidth,
          bodyHeight = _this$state2.bodyHeight,
          calendarBodyHeight = _this$state2.calendarBodyHeight,
          currentHorizontalPage = _this$state2.currentHorizontalPage,
          totalHorizontalPages = _this$state2.totalHorizontalPages;
      var parentClass = (0, _classnames.default)('bigcalendar', className, {}); // load the view

      var View = this.getViewDetails().View;
      var viewProps = this.getViewProps();
      return _react.default.createElement("div", (0, _extends2.default)({
        className: parentClass,
        ref: this.domNodeRef,
        style: {
          width: bodyWidth,
          height: bodyHeight
        }
      }, props), _react.default.createElement(_Header.default, {
        userModeOptions: userModeOptions,
        onChangeUserMode: this.handleChangeUserMode,
        userMode: userMode,
        dateFormat: headerDateFormat,
        mobileDateFormat: mobileHeaderDateFormat,
        selectedDate: startDate,
        selectedView: selectedView,
        onChangeView: this.handleChangeView,
        onBackDate: this.handleBackDate,
        onNextDate: this.handleNextDate,
        fullScreenNode: typeof document !== 'undefined' ? document.body : this.domNodeRef ? this.domNodeRef.current : null,
        currentHorizontalPage: currentHorizontalPage,
        totalHorizontalPages: totalHorizontalPages,
        onHorizontalPageNext: this.handleHorizontalPageNext,
        onHorizontalPageBack: this.handleHorizontalPageBack,
        onSelectDate: this._setStartDate,
        onDateToToday: this.handleDateToToday,
        cellDowFormat: headerCellDowFormat,
        cellDayFormat: headerCellDayFormat
      }), _react.default.createElement("div", {
        className: "bigcalendar__view-wrapper"
      }, _react.default.createElement(View, (0, _extends2.default)({
        longPressDelay: longPressDelay,
        ref: this.selectedViewRef,
        onUpdateHorizontalPagerDetails: this.handleUpdateHorizontalPagerDetails,
        startDate: startDate,
        events: allEvents,
        slotsPerHour: slotsPerHour,
        calendarBodyHeight: calendarBodyHeight,
        users: users,
        minTime: defaultMinTime,
        maxTime: defaultMaxTime,
        startTime: defaultStartTime,
        endTime: defaultEndTime,
        timezone: timezone,
        onDropEvent: onDropEvent,
        userSchedules: userSchedules,
        getStartTimeForUser: this.getStartTimeForUser,
        getEndTimeForUser: this.getEndTimeForUser,
        doubleClickTime: doubleClickTime,
        onDoubleClick: onDoubleClickView,
        onClick: onClickView,
        doubleClickToCreate: doubleClickToCreate,
        eventTimeFormat: eventTimeFormat
      }, viewProps))));
    }
  }]);
  return BigCalendar;
}(_react.Component);

(0, _defineProperty2.default)(BigCalendar, "defaultProps", {
  defaultView: 'day',
  slotsPerHour: 4,
  // every 15 minutes
  defaultMinTime: '00:00',
  defaultMaxTime: '23:59',
  defaultStartTime: '07:00',
  defaultEndTime: '20:00',
  headerDateFormat: 'MMMM YYYY',
  mobileHeaderDateFormat: 'MMMM Do, YYYY',
  allEvents: [],
  viewProps: {},
  longPressDelay: 500,
  doubleClickTime: 250,
  doubleClickToCreate: false,
  // defaults to single click
  eventTimeFormat: 'h:mma',
  headerCellDowFormat: 'ddd',
  headerCellDayFormat: 'D'
});
var _default = BigCalendar;
exports.default = _default;