"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Icon = _interopRequireDefault(require("../../../Icon/Icon"));

var EventBlock = function EventBlock(props) {
  var block = props.block,
      resizable = props.resizable,
      className = props.className,
      startAt = props.startAt,
      timeFormat = props.timeFormat,
      rest = (0, _objectWithoutProperties2.default)(props, ["block", "resizable", "className", "startAt", "timeFormat"]); // NOTE: you MUST keep resize-n the first class in any resize-handle
  // IT MUST BE IN THE FORM OF resize-[n|s|e|w]

  var blockTitle = [block.title, block.subtitle, startAt.format(timeFormat)].filter(function (i) {
    return i;
  }).join(' - ');
  return _react.default.createElement("div", (0, _extends2.default)({
    className: (0, _classnames.default)('bigcalendar__event-block', className, block.className, {
      busy: block.markAsBusy,
      available: !block.markAsBusy
    })
  }, rest), block.leftIcons && block.leftIcons.length > 0 && _react.default.createElement("div", {
    className: "icons left-icons"
  }, block.leftIcons.map(function (icon, idx) {
    return _react.default.createElement("span", {
      title: icon.title,
      key: "".concat(icon.title, "-").concat(idx)
    }, _react.default.createElement(_Icon.default, icon));
  })), resizable && _react.default.createElement("div", {
    className: "resize-n resize-handle"
  }, _react.default.createElement("div", {
    className: "resize-highlight-handle"
  })), _react.default.createElement("div", {
    className: "content-wrapper",
    title: blockTitle
  }, block.title && _react.default.createElement("p", {
    className: "title",
    dangerouslySetInnerHTML: {
      __html: block.title
    }
  }), block.subtitle && _react.default.createElement("p", {
    className: "subtitle",
    dangerouslySetInnerHTML: {
      __html: block.subtitle
    }
  }), _react.default.createElement("p", {
    className: "time"
  }, startAt.format(timeFormat))), resizable && _react.default.createElement("div", {
    className: "resize-s resize-handle"
  }, _react.default.createElement("div", {
    className: "resize-highlight-handle"
  })), block.rightIcons && block.rightIcons.length > 0 && _react.default.createElement("div", {
    className: "icons right-icons"
  }, block.rightIcons.map(function (icon, idx) {
    return _react.default.createElement("span", {
      title: icon.title,
      key: "".concat(icon.title, "-idx")
    }, _react.default.createElement(_Icon.default, icon));
  })));
};

var _default = EventBlock;
exports.default = _default;