"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _List = _interopRequireDefault(require("../../../List/List"));

var _EventDetailsHeader = _interopRequireDefault(require("./components/EventDetailsHeader/EventDetailsHeader"));

var _EventDetailsFooter = _interopRequireDefault(require("./components/EventDetailsFooter/EventDetailsFooter"));

var EventDetails = function EventDetails(props) {
  var header = props.header,
      list = props.list,
      kind = props.kind,
      footer = props.footer;
  var parentClass = (0, _classnames.default)('event-details', {
    'event-fill-tentative': kind === 'tentative',
    'event-fill-unavailable': kind === 'unavailable',
    'event-fill-blocked': kind === 'blocked',
    'event-fill-active': kind === 'active',
    'event-fill-past': kind === 'past',
    'event-fill-warn': kind === 'warn',
    'event-fill-critical': kind === 'critical'
  });
  return _react.default.createElement("div", {
    className: parentClass
  }, header && _react.default.createElement(_EventDetailsHeader.default, header), _react.default.createElement(_List.default, list), footer && _react.default.createElement(_EventDetailsFooter.default, footer));
};

EventDetails.defaultProps = {
  kind: 'default'
};
var _default = EventDetails;
exports.default = _default;