"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _screenfull = _interopRequireDefault(require("screenfull"));

var _lodash = _interopRequireDefault(require("lodash"));

var _momentTimezone = _interopRequireDefault(require("moment-timezone"));

var _Select = _interopRequireDefault(require("../../../Forms/components/Select/Select"));

var _Button = _interopRequireDefault(require("../../../Button/Button"));

var _Pagination = _interopRequireDefault(require("../../../Pagination/Pagination"));

var _DatePicker = _interopRequireDefault(require("../../../Forms/components/DatePicker/DatePicker"));

var FullScreenIcon = function FullScreenIcon(props) {
  return _react.default.createElement("svg", props, _react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M7 14H5v5h5v-2H7v-3zm-2-4h2V7h3V5H5v5zm12 7h-3v2h5v-5h-2v3zM14 5v2h3v3h2V5h-5z"
  }));
};

FullScreenIcon.defaultProps = {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg"
};

var FullScreenExitIcon = function FullScreenExitIcon(props) {
  return _react.default.createElement("svg", props, _react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M5 16h3v3h2v-5H5v2zm3-8H5v2h5V5H8v3zm6 11h2v-3h3v-2h-5v5zm2-11V5h-2v5h5V8h-3z"
  }));
};

FullScreenExitIcon.defaultProps = {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg"
};

var HeaderControls =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(HeaderControls, _Component);

  function HeaderControls() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, HeaderControls);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(HeaderControls)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      isDatePickerShown: _this.props.isDatePickerShown,
      isFullScreen: false,
      selectedDate: _this.props.selectedDate,
      shouldResetDatePicker: false
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "toggleDatePicker", function () {
      _this.setState({
        isDatePickerShown: !_this.state.isDatePickerShown
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "onSelectDate", function (date) {
      _this.props.onSelectDate && _this.props.onSelectDate(date);

      if (!_this.props.isDatePickerShown) {
        _this.setState({
          isDatePickerShown: false
        });
      }

      _this.setState({
        selectedDate: date
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "toggleFullScreen", function () {
      _screenfull.default.toggle(_this.props.fullScreenNode);

      _this.setState({
        isFullScreen: !_this.state.isFullScreen
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "onSetDateToToday", function () {
      var onDateToToday = _this.props.onDateToToday;
      onDateToToday && onDateToToday();

      _this.setState(function (prevState) {
        return {
          selectedDate: (0, _momentTimezone.default)(),
          shouldResetDatePicker: prevState.isDatePickerShown
        };
      }, function () {
        _this.setState({
          shouldResetDatePicker: false
        });
      });
    });
    return _this;
  }

  (0, _createClass2.default)(HeaderControls, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (nextProps.isDatePickerShown !== this.props.isDatePickerShown) {
        this.setState({
          isDatePickerShown: nextProps.isDatePickerShown
        });
      }

      if (!(0, _lodash.default)(this.props.selectedDate, nextProps.selectedDate)) {
        this.setState({
          selectedDate: nextProps.selectedDate
        });
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          onBackDate = _this$props.onBackDate,
          onNextDate = _this$props.onNextDate,
          userModeOptions = _this$props.userModeOptions,
          onChangeUserMode = _this$props.onChangeUserMode,
          userMode = _this$props.userMode;
      var _this$state = this.state,
          selectedDate = _this$state.selectedDate,
          isDatePickerShown = _this$state.isDatePickerShown,
          isFullScreen = _this$state.isFullScreen,
          shouldResetDatePicker = _this$state.shouldResetDatePicker;
      return _react.default.createElement("div", {
        className: "bigcalendar__header-controls"
      }, _react.default.createElement("div", {
        className: "bigcalendar__date-scroll-controls"
      }, _react.default.createElement(_Pagination.default, {
        isSimple: true,
        onClickNext: onNextDate,
        onClickBack: onBackDate,
        currentPage: 1,
        totalPages: 3
      }), _react.default.createElement(_Button.default, {
        kind: 'simple',
        isSmall: true,
        text: 'Today',
        className: "bigcalendar__selectedDate-button",
        onClick: this.onSetDateToToday
      }), _react.default.createElement("div", {
        className: "bigcalendar__date-select"
      }, _react.default.createElement(_Button.default, {
        kind: 'simple',
        className: "bigcalendar__calendarIcon-button",
        icon: {
          name: 'calendar',
          isLineIcon: true
        },
        onClick: function onClick() {
          return _this2.toggleDatePicker();
        }
      }), isDatePickerShown && !shouldResetDatePicker && _react.default.createElement("div", {
        className: "bigcalendar_date-picker"
      }, _react.default.createElement("div", {
        className: "bigcalendar_date-picker-underlay",
        onClick: function onClick() {
          return _this2.toggleDatePicker();
        }
      }), _react.default.createElement(_DatePicker.default, {
        date: selectedDate,
        onSelectDate: this.onSelectDate
      }))), userModeOptions && onChangeUserMode && userMode && _react.default.createElement(_Select.default, {
        className: "user-mode-select",
        options: userModeOptions,
        onChange: function onChange(e) {
          onChangeUserMode(e.target.value);
        },
        value: userMode
      })), _react.default.createElement("div", {
        className: "bigcalendar__fullscreen-control"
      }, isFullScreen ? _react.default.createElement(_Button.default, {
        kind: 'simple',
        icon: {
          customIcon: FullScreenExitIcon,
          isLineIcon: false
        },
        onClick: function onClick() {
          _this2.toggleFullScreen();
        }
      }) : _react.default.createElement(_Button.default, {
        kind: 'simple',
        icon: {
          customIcon: FullScreenIcon,
          isLineIcon: false
        },
        onClick: function onClick() {
          _this2.toggleFullScreen();
        }
      })));
    }
  }]);
  return HeaderControls;
}(_react.Component);

var _default = HeaderControls;
exports.default = _default;