"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _findIndex = _interopRequireDefault(require("lodash/findIndex"));

var _sortBy = _interopRequireDefault(require("lodash/sortBy"));

var _momentTimezone = _interopRequireDefault(require("moment-timezone"));

var _memoizeOne = _interopRequireDefault(require("memoize-one"));

var _TimeGutter = _interopRequireDefault(require("../TimeGutter/TimeGutter"));

var _TeammateHeader = _interopRequireDefault(require("../TeammateHeader/TeammateHeader"));

var _DragGrid = _interopRequireDefault(require("../DragGrid/DragGrid"));

var _DayCol = _interopRequireDefault(require("./DayCol"));

var _EventDetails = _interopRequireDefault(require("../../components/EventDetails/EventDetails"));

var _Modal = _interopRequireDefault(require("../../../Modal/Modal"));

var _size = _interopRequireDefault(require("../../utils/size"));

var _event = _interopRequireDefault(require("../../utils/event"));

var _time = _interopRequireDefault(require("../../utils/time"));

var _TimeLine = _interopRequireDefault(require("../TimeLine/TimeLine"));

var Day =
/*#__PURE__*/
function (_PureComponent) {
  (0, _inherits2.default)(Day, _PureComponent);

  function Day(props) {
    var _this;

    (0, _classCallCheck2.default)(this, Day);
    _this = (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(Day).call(this, props));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      enableAutoScrollX: true,
      enableAutoScrollY: true
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "_timeRangeCache", {});
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "_columnMapCache", null);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "_dragResizeUpdates", null);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "_lastHoverEvent", null);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "dayColRefs", []);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "componentDidMount", function () {
      _this.updateHorizontalPagerDetails();

      _this.placeAndSize();

      window.addEventListener('resize', _this.handleResize);
      _this._timeLineInterval = setInterval(_this.placeTimeLine, 10000); //TODO better way to detect everything is rendered and sized correctly

      setTimeout(_this.updateHorizontalPagerDetails, 1000);
      setTimeout(_this.placeAndSize, 1000);
      setTimeout(_this.placeTimeLine, 1000);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "componentWillUnmount", function () {
      clearInterval(_this._timeLineInterval);
      window.removeEventListener('resize', _this.updateHorizontalPagerDetails);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleResize", function () {
      if (_this.dragGridRef.current) {
        _this.updateHorizontalPagerDetails();

        _this.placeAndSize();
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleScroll", function (e) {
      var target = e.target;
      var scrollTop = target.scrollTop,
          scrollLeft = target.scrollLeft;
      _this._ignoreNextTeammateScroll = true;

      _this.teammateHeaderRef.current.setScrollLeft(Math.max(0, scrollLeft));

      _this.timeGutterRef.current.setScrollTop(Math.max(0, scrollTop)); // // arrows that sit in the upper right


      _this.updateHorizontalPagerDetails();

      _this.updateTimeIndicator();

      if (_this._lastDragDetails && _this.dragGridRef.current.isMouseDownOnEvent()) {
        _this.handleDragOfEvent(_this._lastDragDetails.event, _this._lastDragDetails.dragDetails);
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getTimeRangeDetails", function (min, max) {
      var _this$props = _this.props,
          startDate = _this$props.startDate,
          slotsPerHour = _this$props.slotsPerHour,
          timezone = _this$props.timezone;
      var key = "".concat(startDate.format('YYYY-MM-DD'), "-").concat(min, "-").concat(max);

      if (!_this._timeRangeCache[key]) {
        var minMoment = _momentTimezone.default.tz("".concat(startDate.format('YYYY-MM-DD'), " ").concat(min), timezone);

        var maxMoment = _momentTimezone.default.tz("".concat(startDate.format('YYYY-MM-DD'), " ").concat(max), timezone);

        var minTimestamp = parseInt(minMoment.format('X'), 10);
        var maxTimestamp = parseInt(maxMoment.format('X'), 10);
        var hours = (maxTimestamp - minTimestamp) / 60 / 60;
        var slotDurationMin = 1 / slotsPerHour * 60;
        _this._timeRangeCache[key] = {
          min: min,
          max: max,
          minMoment: minMoment,
          maxMoment: maxMoment,
          minTimestamp: minTimestamp,
          maxTimestamp: maxTimestamp,
          seconds: maxTimestamp - minTimestamp,
          slotDurationMin: slotDurationMin,
          totalTimeSlots: slotsPerHour * hours
        };
      }

      return _this._timeRangeCache[key];
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "updateHorizontalPagerDetails", function () {
      var onUpdateHorizontalPagerDetails = _this.props.onUpdateHorizontalPagerDetails;
      var currentPage;
      var totalPages = 3;

      var scrolledRight = _this.dragGridRef.current.isScrolledAllTheWayRight();

      var scrolledLeft = _this.dragGridRef.current.isScrolledAllTheWayLeft();

      if (scrolledRight && scrolledLeft) {
        currentPage = 0;
        totalPages = 1;
      } else if (scrolledRight) {
        currentPage = 2;
      } else if (scrolledLeft) {
        currentPage = 0;
      } else {
        currentPage = 1;
      }

      onUpdateHorizontalPagerDetails({
        currentPage: currentPage,
        totalPages: totalPages
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleHorizontalPageNext", function () {
      var scrollLeft = _this.dragGridRef.current.getScrollLeft();

      var pageWidth = _this.dragGridRef.current.getWidth();

      _this.dragGridRef.current.animateHorizontalTo(_this.snapEventToNearestValidX({
        mouseX: scrollLeft + pageWidth
      }));
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleHorizontalPageBack", function () {
      var scrollLeft = _this.dragGridRef.current.getScrollLeft();

      var pageWidth = _this.dragGridRef.current.getWidth();

      _this.dragGridRef.current.animateHorizontalTo(_this.snapEventToNearestValidX({
        mouseX: scrollLeft - pageWidth
      }));
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleTeammateScroll", function (e) {
      var target = e.target;
      var teammateLeft = target.scrollLeft;

      if (_this._ignoreNextTeammateScroll) {
        _this._ignoreNextTeammateScroll = false;
        return true;
      }

      _this.dragGridRef.current.setScrollLeft(teammateLeft);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "snapEventToNearestValidX", function (_ref) {
      var mouseX = _ref.mouseX;

      var dayColWidth = _this.dayColWidth();

      var nearest = Math.floor(mouseX / dayColWidth);
      return Math.max(0, Math.min(_this.props.users.length - 1, nearest) * dayColWidth);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "snapEventToNearestValidY", function (_ref2) {
      var dragNodeTop = _ref2.dragNodeTop,
          _ref2$dragNodeHeight = _ref2.dragNodeHeight,
          dragNodeHeight = _ref2$dragNodeHeight === void 0 ? 0 : _ref2$dragNodeHeight,
          _ref2$round = _ref2.round,
          round = _ref2$round === void 0 ? Math.round : _ref2$round;

      var slotHeight = _this.slotHeight();

      var nearest = round(dragNodeTop / slotHeight);
      var maxTop = _this.dayColHeight() - dragNodeHeight;
      return Math.max(0, Math.min(maxTop, nearest * slotHeight));
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "yToTime", function (y) {
      var slotHeight = _this.slotHeight();

      var range = _this.getTimeRangeDetails(_this.props.minTime, _this.props.maxTime);

      var nearest = Math.round(y / slotHeight);
      var minutesFromMinTime = nearest * range.slotDurationMin;
      var time = (0, _momentTimezone.default)(range.minMoment).add(minutesFromMinTime, 'minutes');
      return time;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "heightToSeconds", function (height) {
      var range = _this.getTimeRangeDetails(_this.props.minTime, _this.props.maxTime);

      var dayColHeight = _this.dayColHeight();

      var ratio = height / dayColHeight;
      return range.seconds * ratio;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "secondsToHeight", function (seconds) {
      var _this$getTimeRangeDet = _this.getTimeRangeDetails(_this.props.minTime, _this.props.maxTime),
          slotDurationMin = _this$getTimeRangeDet.slotDurationMin;

      var slotHeight = _this.slotHeight();

      var minutes = seconds / 60;
      var height = minutes / slotDurationMin * slotHeight;
      return height;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "timeToY", function (date) {
      var _this$props2 = _this.props,
          timezone = _this$props2.timezone,
          minTime = _this$props2.minTime,
          maxTime = _this$props2.maxTime;

      var dayColHeight = _this.dayColHeight();

      var startTime = parseInt(_momentTimezone.default.tz(date, timezone).format('X'));

      var dayColTimeRangeDetails = _this.getTimeRangeDetails(minTime, maxTime);

      var secondsIntoDay = startTime - dayColTimeRangeDetails.minTimestamp;
      var top = secondsIntoDay / dayColTimeRangeDetails.seconds * dayColHeight;
      return top;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "xToUser", function (x) {
      var dayColWidth = _this.dayColWidth();

      var nearest = Math.floor(x / dayColWidth);
      return _this.props.users[nearest];
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getDragNode", function (_ref3) {
      var event = _ref3.event,
          block = _ref3.block,
          blockIdx = _ref3.blockIdx,
          dragEventNode = _ref3.dragEventNode,
          dragBlockNode = _ref3.dragBlockNode;
      return blockIdx === 0 ? dragEventNode : dragBlockNode;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleMouseDownOnView", function (e) {
      return e.target.classList.contains('timeslot') || // clicked a timeslot
      e.target.classList.contains('hour-block') || // clicked on hour block
      e.target.classList.contains('scroll-inner') || // clicked anywhere inside the drag scroll area
      e.target.classList.contains('bigcalendar__drag-grid') || // clicked on the drag view specifically
      e.target.parentNode.classList.contains('bigcalendar__event-block') && e.target.parentNode.classList.contains('available') // they clicked on an available block (markAsBusy === false)
      ;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getMinBlockResizeHeight", function (event, blockIdx) {
      return _this.props.allowResizeToZeroDurationBlocks && blockIdx > 0 || _this.props.allowResizeToZeroDurationBlocks && _this.props.allowResizeFirstBlockToZeroDuration ? 0 : _this.slotHeight();
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleMouseDownOnEvent", function (_ref4) {
      var e = _ref4.e,
          event = _ref4.event,
          block = _ref4.block,
          blockIdx = _ref4.blockIdx;

      _this.deselectAllTextSelections();

      var response = {
        e: e,
        event: event,
        block: block,
        blockIdx: blockIdx
      };
      var target = e.target; // if we clicked an available block, find any events under us to see if
      // we should pass the click to them

      if (!block.markAsBusy && blockIdx !== event.blocks.length - 1) {
        var matches = _this.dragGridRef.current.getEventsAtLocation({
          x: _event.default.clientXY(e).clientX,
          y: _event.default.clientXY(e).clientY
        }); // the first one would actually match the event passed here
        // so lets check the first event under us


        matches.shift(); //filter out non busy (available) blocks

        matches = matches.filter(function (match) {
          return match.block.markAsBusy || match.resize;
        });

        if (matches.length > 0) {
          response.event = matches[0].event;
          response.block = matches[0].block;
          response.blockIdx = matches[0].blockIdx;
          var resize = matches[0].resize;

          if (resize) {
            var eventNode = _this.dragGridRef.current.getEventNode(matches[0].event);

            target = eventNode.querySelector(".".concat(resize.direction));
          }
        } // bail now so click gets passed onto the drag grid view
        else {
            return response;
          }
      } // did we click a resize handle? if so, lets set up for that


      if (target.classList.contains('resize-handle') || target.parentNode.classList.contains('resize-handle')) {
        var direction = target.classList.contains('resize-n') || target.parentNode.classList.contains('resize-n') ? 'n' : 's';
        _this._resizeDetails = {
          e: e,
          event: response.event,
          block: response.block,
          blockIdx: response.blockIdx,
          direction: direction
        };
      } else {
        _this._resizeDetails = null;
      }

      if (!_this._dragResizeUpdates) {
        _this._dragResizeUpdates = {
          blockUpdates: []
        };
      }

      return response;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleDropEvent",
    /*#__PURE__*/
    function () {
      var _ref6 = (0, _asyncToGenerator2.default)(
      /*#__PURE__*/
      _regenerator.default.mark(function _callee(_ref5) {
        var event, dragEvent, newX, newY, dragDetails, _ref7, _ref7$blockUpdates, blockUpdates, newStartAt, newUser, _this$props3, onDropEvent, timezone;

        return _regenerator.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                event = _ref5.event, dragEvent = _ref5.dragEvent, newX = _ref5.newX, newY = _ref5.newY;
                // console.log('drop event in day')
                // reset some things
                dragDetails = _this._dragDetails || {};
                _ref7 = _this._dragResizeUpdates || {}, _ref7$blockUpdates = _ref7.blockUpdates, blockUpdates = _ref7$blockUpdates === void 0 ? [] : _ref7$blockUpdates;
                _this._dragDetails = null;
                _this._resizeDetails = null;
                _this._lastDragDetails = null;
                _this._dragResizeUpdates = null;
                newStartAt = _this.yToTime(newY);
                newUser = _this.xToUser(newX);
                _this$props3 = _this.props, onDropEvent = _this$props3.onDropEvent, timezone = _this$props3.timezone;

                if (newStartAt && event && newStartAt.format('YYYY-MM-DD HH:mm') === _momentTimezone.default.tz(event.startAt, timezone).format('YYYY-MM-DD HH:mm')) {
                  newStartAt = null;
                }

                return _context.abrupt("return", onDropEvent && onDropEvent((0, _objectSpread2.default)({
                  event: event,
                  dragEvent: dragEvent,
                  newStartAt: newStartAt,
                  newUser: !event || newUser && newUser.id !== event.userId ? newUser : null
                }, dragDetails, {
                  blockUpdates: blockUpdates.length === 0 ? null : blockUpdates
                })));

              case 12:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      return function (_x) {
        return _ref6.apply(this, arguments);
      };
    }());
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleDragOfEvent", function (event, dragDetails) {
      // if anything is selected, null it
      if (_this.state.selectedEvent) {
        _this.setState({
          selectedEvent: null
        });
      }

      var onDragEvent = _this.props.onDragEvent;
      var dragEventNode = dragDetails.dragEventNode,
          blockIdx = dragDetails.blockIdx;
      dragEventNode.style.width = _this.dayColWidth() + 'px'; // to track the cancelling of drag grid moving the event for us

      var cancelDrag = false;

      if (_this._resizeDetails) {
        // console.log('handle drag resizing')
        cancelDrag = true;
        var eMouseMove = dragDetails.eMouseMove,
            _blockIdx = dragDetails.blockIdx,
            dragBlockNode = dragDetails.dragBlockNode,
            dragBlockNodeHeight = dragDetails.dragBlockNodeHeight,
            dragEventNodeTop = dragDetails.dragEventNodeTop,
            dragBlockNodeHeights = dragDetails.dragBlockNodeHeights,
            dragEventNodeBottom = dragDetails.dragEventNodeBottom,
            startScrollTop = dragDetails.startScrollTop,
            startingClientY = dragDetails.startingClientY;
        var deltaScrollTop = _this.dragGridRef.current.getScrollTop() - startScrollTop;
        var dragDistance = _event.default.clientXY(eMouseMove).clientY - startingClientY + deltaScrollTop;
        var originalHeight = dragBlockNodeHeight;

        var minBlockResizeHeight = _this.getMinBlockResizeHeight(event, _blockIdx);

        var originalTop = dragEventNodeTop;
        var direction = _this._resizeDetails.direction; // drag always changes the height of the selected block, so lets set the height
        // callout that height is set differently deppending on drag direction
        // also, when dragging north, we should not be able to drag more than the height
        // of the previous block (if there is one)

        var distance = _this.snapEventToNearestValidY({
          dragNodeTop: Math.abs(dragDistance)
        });

        if (dragDistance < 0) {
          distance *= -1;
        } // clamp distance


        if (direction === 'n' && _blockIdx > 0) {
          distance = Math.max(distance, dragBlockNodeHeights[_blockIdx - 1] * -1);
        } else if (direction === 'n') {
          // so it won't go too far up
          distance = Math.max(distance, originalTop * -1); // so it won't go too far down

          distance = Math.min(distance, originalHeight - minBlockResizeHeight);
        } else if (direction === 's') {
          distance = Math.min(distance, _this.dayColHeight() - dragEventNodeBottom);
        }

        var height = originalHeight;

        if (direction === 's') {
          height += distance;
        } else {
          height -= distance;
        }

        height = Math.max(minBlockResizeHeight, height);
        dragBlockNode.style.height = parseInt(height) + 'px';
        _this._dragResizeUpdates.blockUpdates[_blockIdx] = {
          newDurationSec: _this.heightToSeconds(height) // if we are dragging a block after the first, resize the previous block

        };

        if (_blockIdx > 0 && direction === 'n') {
          var previousDragBlock = dragBlockNode.previousSibling;
          var previousHeight = dragBlockNodeHeights[_blockIdx - 1];

          var _height = previousHeight + distance; // can't go too big or it starts to feel like dragging a block down


          _height = Math.min(_height, originalHeight + previousHeight - minBlockResizeHeight);
          previousDragBlock.style.height = parseInt(_height) + 'px';
          _this._dragResizeUpdates.blockUpdates[_blockIdx - 1] = {
            newDurationSec: _this.heightToSeconds(_height)
          };
        } // don't resize this block if we're dragging north and we're the first block
        //if we are the first block, we have to move the whole event up the inverse
        //of the change in the height of the block
        else if (_blockIdx === 0 && direction === 'n') {
            var newTop = originalTop + distance;
            dragEventNode.style.top = "".concat(newTop, "px");

            var start = _this.yToTime(newTop);

            dragEventNode.querySelector('.time').innerHTML = start.format('h:mma');
          }
      } // dragging an event is peasy peezy (drag grid handles it)
      // we'll just make some day view only updates
      else if (blockIdx === 0) {
          var time = _this.yToTime(parseFloat(dragEventNode.style.top));

          dragEventNode.querySelector('.time').innerHTML = time.format('h:mma');
          _this._didDragEvent = true;
        } //dragging a block means changing duration of the block ahead of it
        //drag grid cannot handle this. but, we do want to move the event, so
        //we'll want to move the event on the x as well
        else {
            cancelDrag = true;
            var _dragBlockNode = dragDetails.dragBlockNode,
                _eMouseMove = dragDetails.eMouseMove,
                _dragBlockNodeHeights = dragDetails.dragBlockNodeHeights,
                _dragEventNodeBottom = dragDetails.dragEventNodeBottom,
                _startScrollTop = dragDetails.startScrollTop,
                _startingClientY = dragDetails.startingClientY,
                x = dragDetails.x;
            var _previousDragBlock = _dragBlockNode.previousSibling;

            var _deltaScrollTop = _this.dragGridRef.current.getScrollTop() - _startScrollTop;

            var _dragDistance = _event.default.clientXY(_eMouseMove).clientY + _deltaScrollTop - _startingClientY;

            var _originalHeight = _dragBlockNodeHeights[blockIdx - 1];

            var maxDistance = _this.dayColHeight() - _dragEventNodeBottom;

            var _distance = Math.min(_dragDistance, maxDistance);

            var newHeight = Math.max(0, _this.snapEventToNearestValidY({
              dragNodeTop: _originalHeight + _distance
            }));
            _previousDragBlock.style.height = parseInt(newHeight) + 'px';
            dragEventNode.style.left = x + 'px';

            var duration = _this.heightToSeconds(newHeight);

            _this._dragResizeUpdates.blockUpdates[blockIdx - 1] = {
              newDurationSec: duration
            };
          }

      _this._lastDragDetails = {
        event: event,
        dragDetails: dragDetails // we ask drag grid to only move the dom node if we are moving the whole event (block 0)
        // all other drags are ignored

      };
      return onDragEvent ? onDragEvent(event, dragDetails) : !cancelDrag;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "deselectAllTextSelections", function () {
      window.getSelection().removeAllRanges();
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleSelectEvent",
    /*#__PURE__*/
    function () {
      var _ref9 = (0, _asyncToGenerator2.default)(
      /*#__PURE__*/
      _regenerator.default.mark(function _callee2(_ref8) {
        var event, block, blockIdx, eventNode, detailsNode, detailsWidth, gridWidth, scrollLeft, eventRight, eventLeft, detailsRight, gridHeight, detailsHeight, setTop, showInDialog, top, detailsBottom;
        return _regenerator.default.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                event = _ref8.event, block = _ref8.block, blockIdx = _ref8.blockIdx;

                if (!event.details) {
                  _context2.next = 23;
                  break;
                }

                _this.deselectAllTextSelections();

                _context2.next = 5;
                return _this.setState({
                  selectedEvent: event,
                  showEventDetailsInDialog: false
                });

              case 5:
                if (_this.state.selectedEvent) {
                  _context2.next = 7;
                  break;
                }

                return _context2.abrupt("return");

              case 7:
                // place details next to event
                eventNode = _this.dragGridRef.current.getEventNode(event);
                detailsNode = _this.domNodeRef.current.querySelector('.event-details'); // move details view away to grid sizes correctly for below calculations

                detailsNode.style.top = '-200em';
                detailsWidth = _size.default.getWidth(detailsNode);
                gridWidth = _this.dragGridRef.current.getWidth();
                scrollLeft = _this.dragGridRef.current.getScrollLeft();
                eventRight = _size.default.getLocalRight(eventNode);
                eventLeft = _size.default.getLocalLeft(eventNode);
                detailsRight = eventRight + detailsWidth;
                gridHeight = _this.dragGridRef.current.getScrollHeight();
                detailsHeight = _size.default.getHeight(detailsNode);
                setTop = false;
                showInDialog = false; // grid must be at least twice as details (not sure about this)

                if (detailsWidth > gridWidth / 2 || detailsHeight > _this.dragGridRef.current.getHeight()) {
                  showInDialog = true;
                } // check x positioning
                else if (detailsRight > gridWidth + scrollLeft) {
                    if (eventLeft - detailsWidth < 0) {
                      showInDialog = true;
                    } else {
                      setTop = true;
                      detailsNode.style.left = "".concat(eventLeft - detailsWidth, "px");
                    }
                  } else {
                    setTop = true;
                    detailsNode.style.left = "".concat(eventRight, "px");
                  }

                if (setTop) {
                  top = _size.default.getLocalTop(eventNode); //check y positioning

                  detailsBottom = _size.default.getHeight(detailsNode) + top;

                  if (detailsBottom > gridHeight) {
                    top = gridHeight - _size.default.getHeight(detailsNode);
                  }

                  detailsNode.style.top = "".concat(top, "px");
                }

                if (showInDialog) {
                  _this.setState({
                    showEventDetailsInDialog: true
                  });
                }

              case 23:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));

      return function (_x2) {
        return _ref9.apply(this, arguments);
      };
    }());
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleDeselectEvent",
    /*#__PURE__*/
    (0, _asyncToGenerator2.default)(
    /*#__PURE__*/
    _regenerator.default.mark(function _callee3() {
      return _regenerator.default.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              return _context3.abrupt("return", _this.setState(function (state) {
                if (state.selectedEvent) {
                  return {
                    selectedEvent: null
                  };
                } else {
                  return {};
                }
              }));

            case 1:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3, this);
    })));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleHighlightEvent",
    /*#__PURE__*/
    function () {
      var _ref12 = (0, _asyncToGenerator2.default)(
      /*#__PURE__*/
      _regenerator.default.mark(function _callee4(_ref11) {
        var event, block, blockIdx;
        return _regenerator.default.wrap(function _callee4$(_context4) {
          while (1) {
            switch (_context4.prev = _context4.next) {
              case 0:
                event = _ref11.event, block = _ref11.block, blockIdx = _ref11.blockIdx;

                _this.setState({
                  highlightedEvent: event
                });

              case 2:
              case "end":
                return _context4.stop();
            }
          }
        }, _callee4, this);
      }));

      return function (_x3) {
        return _ref12.apply(this, arguments);
      };
    }());
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleUnHighlightEvent", function () {
      _this.setState({
        highlightedEvent: null
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleCloseEventDetails", function () {
      _this.handleDeselectEvent();
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "placeAndSize", function () {
      var firstDayCol = _this.scrollInnerRef.current.querySelector('.bigcalendar__day-col');

      if (firstDayCol) {
        //size events
        var _this$props4 = _this.props,
            startDate = _this$props4.startDate,
            events = _this$props4.events;

        _this.eventsForDay(events, startDate).forEach(function (event) {
          _this.placeEvent(event);

          _this.sizeEvent(event);
        }); //size time line to show current time n' such


        _this.sizeTimeLine();

        _this.placeTimeLine();
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "dayColWidth", function () {
      var firstDayCol = _this.scrollInnerRef.current.querySelector('.bigcalendar__day-col');

      return _size.default.getWidth(firstDayCol);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "dayColHeight", function () {
      var firstDayCol = _this.scrollInnerRef.current.querySelector('.bigcalendar__day-col');

      var height = _size.default.getHeight(firstDayCol);

      return height;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "slotHeight", function () {
      var _this$props5 = _this.props,
          minTime = _this$props5.minTime,
          maxTime = _this$props5.maxTime;

      var range = _this.getTimeRangeDetails(minTime, maxTime);

      var dayColHeight = _this.dayColHeight();

      return dayColHeight / range.totalTimeSlots;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "eventsForDay", (0, _memoizeOne.default)(function (events, date) {
      var _this$props6 = _this.props,
          timezone = _this$props6.timezone,
          minTime = _this$props6.minTime,
          maxTime = _this$props6.maxTime;

      var min = _momentTimezone.default.tz("".concat(date.format('YYYY-MM-DD'), " ").concat(minTime, ":00"), timezone);

      var max = _momentTimezone.default.tz("".concat(date.format('YYYY-MM-DD'), " ").concat(maxTime, ":00"), timezone);

      return (0, _sortBy.default)(events.filter(function (event) {
        var eventStart = _momentTimezone.default.tz(event.startAt, timezone);

        return event.id && eventStart.format('YYYY-MM-DD') === date.format('YYYY-MM-DD') && eventStart.isBetween(min, max, null, '[]');
      }), ['startAt', 'title', 'subtitle']);
    }));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "isToday", function (date) {
      return _this.props.startDate.format('YYYY-MM-DD') === _momentTimezone.default.tz(date, _this.props.timezone).format('YYYY-MM-DD');
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "getColumnMap", function () {
      if (!_this._columnMapCache) {
        var _this$props7 = _this.props,
            minTime = _this$props7.minTime,
            maxTime = _this$props7.maxTime,
            startDate = _this$props7.startDate,
            events = _this$props7.events,
            timezone = _this$props7.timezone;

        var range = _this.getTimeRangeDetails(minTime, maxTime);

        var totalTimeSlots = range.totalTimeSlots;

        var slotHeight = _this.slotHeight();

        var endSlot = 0;

        var todaysEvents = _this.eventsForDay(events, startDate);

        _this._columnMapCache = {
          eventDetails: {}
        };
        todaysEvents.forEach(function (event) {
          var currentStart = _momentTimezone.default.tz(event.startAt, timezone);

          var eventMap = [];
          var userId = event.userId;

          if (!_this._columnMapCache[userId]) {
            _this._columnMapCache[userId] = new Array(totalTimeSlots).fill(null);
          } // STEP 1, build event map (the eventId and busy/available for each timeslot)


          event.blocks.forEach(function (block) {
            var startY = _this.timeToY(currentStart);

            var blockStartSlot = Math.round(startY / slotHeight);
            var endAt = (0, _momentTimezone.default)(currentStart).add(block.durationSec, 'seconds');

            var endY = _this.timeToY(endAt);

            var blockEndSlot = Math.round(endY / slotHeight);

            for (var blockSlot = blockStartSlot; blockSlot < blockEndSlot; blockSlot++) {
              eventMap[blockSlot] = {
                eventId: event.id,
                busy: block.markAsBusy
              };
            }

            currentStart.add(block.durationSec, 'seconds');
            endSlot = blockEndSlot;
          }); // STEP 2, check which column this event can fit in

          var column = 0;
          var conflicts;

          do {
            conflicts = 0;
            eventMap.forEach(function (details, slot) {
              // make sure slot / column exists
              if (!_this._columnMapCache[userId][slot]) {
                _this._columnMapCache[userId][slot] = [];
              }

              if (!_this._columnMapCache[userId][slot][column]) {
                _this._columnMapCache[userId][slot][column] = {};
              }

              if (details.busy && _this._columnMapCache[userId][slot][column].busy) {
                conflicts++;
              }
            });

            if (conflicts > 0) {
              column += 1;
            }
          } while (conflicts > 0); // STEP 3, slot it in, tracking overlap


          var overlap = false;
          eventMap.forEach(function (details, slot) {
            if (_this._columnMapCache[userId][slot][column].busy === false) {
              overlap = true;
              _this._columnMapCache[userId][slot][column] = (0, _objectSpread2.default)({}, details, {
                overlapping: 1
              });
            } else {
              _this._columnMapCache[userId][slot][column] = details;
            }
          }); // STEP 4, track it for easy retrieval

          var eventStartY = _this.timeToY(event.startAt);

          var eventStartSlot = Math.round(eventStartY / slotHeight);
          _this._columnMapCache.eventDetails[event.id] = {
            startSlot: eventStartSlot,
            endSlot: endSlot,
            column: column,
            overlapping: overlap
          };
        }); // STEP 5, add additional data around each event to make sizing possible

        todaysEvents.forEach(function (event) {
          var details = _this._columnMapCache.eventDetails[event.id];
          var maxColumns = 0;
          var overlapped = false;

          for (var slot = details.startSlot; slot < details.endSlot; slot++) {
            overlapped = overlapped || _this._columnMapCache[event.userId][slot][details.column].eventId !== event.id;

            if (_this._columnMapCache[event.userId][slot][details.column].eventId === event.id && _this._columnMapCache[event.userId][slot][details.column].busy) {
              maxColumns = Math.max(maxColumns, _this._columnMapCache[event.userId][slot].filter(function (details) {
                return details.busy;
              }).length);
            }
          }

          _this._columnMapCache.eventDetails[event.id].columns = Math.max(maxColumns, _this._columnMapCache.eventDetails[event.id].column + 1);
          _this._columnMapCache.eventDetails[event.id].overlapped = overlapped;
        });
      }

      return _this._columnMapCache;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "placeEvent", function (event) {
      var users = _this.props.users;

      var eventNode = _this.dragGridRef.current.getEventNode(event);

      var userIndex = (0, _findIndex.default)(users, function (u) {
        return u.id === event.userId;
      });

      var dayColWidth = _this.dayColWidth();

      var dayColHeight = _this.dayColHeight();

      if (userIndex > -1 && dayColWidth && dayColHeight) {
        //left
        var left = userIndex * dayColWidth;
        eventNode.style.left = "".concat(left, "px"); //top

        var top = _this.timeToY(event.startAt);

        eventNode.style.top = "".concat(top, "px"); // show the event (if it was even hidden)

        eventNode.style.display = 'block';
      } else {
        //hide the event if it does not belong to a teammate
        eventNode.style.display = 'none';
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "sizeEvent", function (event) {
      var eventNode = _this.dragGridRef.current.getEventNode(event);

      var users = _this.props.users;
      var userIndex = (0, _findIndex.default)(users, function (u) {
        return u.id === event.userId;
      });

      var dayColWidth = _this.dayColWidth();

      var dayColHeight = _this.dayColHeight();

      if (userIndex > -1 && dayColWidth && dayColHeight) {
        var _this$props8 = _this.props,
            minTime = _this$props8.minTime,
            maxTime = _this$props8.maxTime,
            eventRightMargin = _this$props8.eventRightMargin; //height for blocks

        var blockNodes = eventNode.querySelectorAll('.bigcalendar__event-block');

        var dayColTimeRangeDetails = _this.getTimeRangeDetails(minTime, maxTime);

        event.blocks.forEach(function (block, idx) {
          var height = block.durationSec / dayColTimeRangeDetails.seconds * dayColHeight;
          var node = blockNodes[idx];
          node.style.height = "".concat(parseInt(height), "px");
        });

        if (event.id !== 'dragging') {
          var colMap = _this.getColumnMap();

          var details = colMap.eventDetails[event.id];
          var width = dayColWidth / details.columns;
          var leftIndent = width * details.column;

          if (details.overlapped) {
            width -= eventRightMargin * 2;
          } else if (details.overlapping) {
            width -= eventRightMargin * 2;
            leftIndent += eventRightMargin;
          } else if (details.column === details.columns - 1) {
            width -= eventRightMargin;
          }

          eventNode.style.width = width + 'px';
          eventNode.style.marginLeft = leftIndent + 'px';
        }
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "sizeTimeLine", function () {
      var timeLineNode = _this.scrollInnerRef.current.querySelector('.bigcalendar__time-line');

      if (timeLineNode) {
        var oldDisplay = timeLineNode.style.display;
        timeLineNode.style.display = 'none';

        var pageWidth = _this.dragGridRef.current.getScrollWidth();

        timeLineNode.style.width = "".concat(pageWidth, "px");
        timeLineNode.style.display = oldDisplay;
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "placeTimeLine", function () {
      var timeLineNode = _this.scrollInnerRef.current.querySelector('.bigcalendar__time-line');

      if (timeLineNode) {
        var timezone = _this.props.timezone;

        var now = _momentTimezone.default.tz(new Date(), timezone);

        var top = _this.timeToY(now);

        if (top > _this.dayColHeight()) {
          timeLineNode.style.display = 'none';
        } else {
          timeLineNode.style.display = 'block';
          timeLineNode.style.top = "".concat(top, "px");
        }
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleMouseMove", function (e) {
      var gridPosition = _size.default.getPosition(_this.bodyWrapperRef.current);

      var gridWidth = _size.default.getWidth(_this.bodyWrapperRef.current);

      var gridHeight = _size.default.getHeight(_this.bodyWrapperRef.current);

      var _eventUtil$clientXY = _event.default.clientXY(e),
          x = _eventUtil$clientXY.clientX,
          y = _eventUtil$clientXY.clientY;

      if (_this.dragGridRef.current.isDraggingEvent()) {
        _this._lastHoverEvent = null;
      } else {
        // update hover state on all daycols
        var hoverEvent = _this.dragGridRef.current.getEventsAtLocation({
          x: x,
          y: y
        })[0]; //first lets make sure it's not because a hit test failed


        if (_this._lastHoverEvent && !hoverEvent && _size.default.doesIntersect({
          x: x,
          y: y,
          node: _this._lastHoverEvent.blockNode
        })) {
          hoverEvent = _this._lastHoverEvent;
        } else {
          if (_this._lastHoverEvent && (!hoverEvent || _this._lastHoverEvent.event.id !== hoverEvent.event.id || hoverEvent.block.markAsBusy)) {
            _this._lastHoverEvent.eventNode.classList.toggle('hover-available', false);
          }

          if (hoverEvent && !hoverEvent.block.markAsBusy) {
            hoverEvent.eventNode.classList.toggle('hover-available', true);
          }
        }

        _this._lastHoverEvent = hoverEvent;
      }

      if (e.clientX > gridPosition.x && e.clientX < gridPosition.x + gridWidth && e.clientY > gridPosition.y && e.clientY < gridPosition.y + gridHeight) {
        if (_this.mouseTimeIndicator.current.classList.contains('hide')) {
          _this.mouseTimeIndicator.current.classList.remove('hide');
        }

        _this._lastMouseMove = {
          x: x,
          y: y,
          gridPosition: gridPosition,
          gridWidth: gridWidth,
          gridHeight: gridHeight
        };

        _this.updateTimeIndicator();
      } else {
        _this.hideMouseTimeIndicator();
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "hideMouseTimeIndicator", function () {
      if (!_this.mouseTimeIndicator.current.classList.contains('hide')) {
        _this.mouseTimeIndicator.current.classList.add('hide');
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "updateTimeIndicator", function () {
      // probably a touch device so no mouse movement has taken place yet
      // or we're moving around the view,ignore everything
      if (!_this._lastMouseMove || _this.dragGridRef.current.isDraggingView()) {
        _this.mouseTimeIndicator.current.style.display = 'none';
        return;
      }

      var y = _this._lastMouseMove.y; // stick to dradding event

      if (_this.dragGridRef.current.isDraggingEvent()) {
        // cannot use getLocalTop because we may be dragging a block (vs the whole event)
        // and that would return the top from the event (first positioned parent)
        // are we resizing?
        var dragNode = _this.dragGridRef.current.getDragBlockNode();

        if (_this._resizeDetails && _this._resizeDetails.direction === 's') {
          y = _size.default.getBottom(dragNode);
        } else {
          y = _size.default.getTop(dragNode);
        }
      }

      var bodyTop = _size.default.getTop(_this.bodyWrapperRef.current);

      var scrollTop = _this.dragGridRef.current.getScrollTop();

      y = y - bodyTop + scrollTop;

      var top = _this.snapEventToNearestValidY({
        dragNodeTop: y,
        round: Math.floor
      });

      var time = _this.yToTime(top);

      var minutes = time.format('mm');

      if (minutes === '00') {
        _this.mouseTimeIndicator.current.style.display = 'none';
      } else {
        _this.mouseTimeIndicator.current.style.lineHeight = _this.slotHeight() + 'px';
        _this.mouseTimeIndicator.current.style.top = top + 'px';
        _this.mouseTimeIndicator.current.style.display = 'block';
        _this.mouseTimeIndicator.current.innerHTML = ":".concat(minutes);
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleClick", function (_ref13) {
      var e = _ref13.e;
      var _this$props9 = _this.props,
          onClick = _this$props9.onClick,
          doubleClickToCreate = _this$props9.doubleClickToCreate;

      if (doubleClickToCreate) {
        return;
      }

      var time;

      var _this$dragGridRef$cur = _this.dragGridRef.current.globalToLocal(_event.default.clientXY(e)),
          clientX = _this$dragGridRef$cur.clientX,
          clientY = _this$dragGridRef$cur.clientY; // if they clicked the header, time is null


      if (e.currentTarget.classList && e.currentTarget.classList.contains('bigcalendar__teammate-header')) {
        time = null;
      } else {
        time = _this.yToTime(_this.snapEventToNearestValidY({
          dragNodeTop: clientY,
          round: Math.floor
        }));
      }

      var user = _this.xToUser(_this.snapEventToNearestValidX({
        mouseX: clientX
      }));

      return onClick && onClick({
        time: time,
        user: user,
        e: e
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleDoubleClick", function (_ref14) {
      var e = _ref14.e;
      var _this$props10 = _this.props,
          onDoubleClick = _this$props10.onDoubleClick,
          doubleClickToCreate = _this$props10.doubleClickToCreate;
      var time;

      var _this$dragGridRef$cur2 = _this.dragGridRef.current.globalToLocal(_event.default.clientXY(e)),
          clientX = _this$dragGridRef$cur2.clientX,
          clientY = _this$dragGridRef$cur2.clientY; // if they clicked the header, time is null


      if (e.currentTarget.classList && e.currentTarget.classList.contains('bigcalendar__teammate-header')) {
        time = null;
      } else {
        time = _this.yToTime(_this.snapEventToNearestValidY({
          dragNodeTop: clientY,
          round: Math.floor
        }));
      }

      var user = _this.xToUser(_this.snapEventToNearestValidX({
        mouseX: clientX
      })); // pass through double clicks on teammate header


      if (!doubleClickToCreate && time) {
        return;
      }

      return onDoubleClick && onDoubleClick({
        time: time,
        user: user,
        e: e
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleLongPressView",
    /*#__PURE__*/
    function () {
      var _ref16 = (0, _asyncToGenerator2.default)(
      /*#__PURE__*/
      _regenerator.default.mark(function _callee5(_ref15) {
        var e, _this$dragGridRef$cur3, clientX, clientY, startAt, user, newEventDefaultDurationSec, event, dragDetails;

        return _regenerator.default.wrap(function _callee5$(_context5) {
          while (1) {
            switch (_context5.prev = _context5.next) {
              case 0:
                e = _ref15.e;
                _this$dragGridRef$cur3 = _this.dragGridRef.current.globalToLocal(_event.default.clientXY(e)), clientX = _this$dragGridRef$cur3.clientX, clientY = _this$dragGridRef$cur3.clientY;
                startAt = _this.yToTime(clientY);
                user = _this.xToUser(clientX);
                newEventDefaultDurationSec = _this.props.newEventDefaultDurationSec;
                event = {
                  id: 'new',
                  startAt: startAt.format('YYYY-MM-DD HH:mm'),
                  userId: user.id,
                  kind: 'tentative',
                  blocks: [{
                    durationSec: newEventDefaultDurationSec,
                    markAsBusy: true
                  }]
                };
                _context5.next = 8;
                return _this.dragGridRef.current.dropNewEventAndDrag({
                  event: event,
                  e: e,
                  left: _this.snapEventToNearestValidX({
                    mouseX: clientX
                  }),
                  top: _this.snapEventToNearestValidY({
                    dragNodeTop: clientY - _this.secondsToHeight(newEventDefaultDurationSec / 2),
                    dragNodeHeight: _this.secondsToHeight(newEventDefaultDurationSec)
                  })
                });

              case 8:
                dragDetails = _context5.sent;
                return _context5.abrupt("return", dragDetails);

              case 10:
              case "end":
                return _context5.stop();
            }
          }
        }, _callee5, this);
      }));

      return function (_x4) {
        return _ref16.apply(this, arguments);
      };
    }());
    _this.domNodeRef = _react.default.createRef();
    _this.dragGridRef = _react.default.createRef();
    _this.scrollInnerRef = _react.default.createRef();
    _this.teammateHeaderRef = _react.default.createRef();
    _this.timeGutterRef = _react.default.createRef();
    _this.mouseTimeIndicator = _react.default.createRef();
    _this.bodyWrapperRef = _react.default.createRef();
    _this.dayColRefs = [];
    return _this;
  }

  (0, _createClass2.default)(Day, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      var _this2 = this;

      var _this$props11 = this.props,
          events = _this$props11.events,
          startDate = _this$props11.startDate,
          users = _this$props11.users,
          slotsPerHour = _this$props11.slotsPerHour;

      if (prevProps.events !== events || prevProps.startDate !== startDate || prevProps.users !== users || prevProps.slotsPerHour !== slotsPerHour) {
        // reset all event cache
        this._columnMapCache = null;
        this.placeAndSize();
        this.updateHorizontalPagerDetails();

        if (prevProps.slotsPerHour !== slotsPerHour) {
          this._timeRangeCache = {};
        }

        if (prevProps.startDate !== startDate) {
          this.setState({
            highlightedEvent: null,
            selectedEvent: null
          });
          this.dragGridRef.current.cancelDrag();
        } // if we only changed events, lets make sure to update our selection


        if (prevProps.events !== events) {
          if (this.state.selectedEvent) {
            var match = events.find(function (event) {
              return event.id === _this2.state.selectedEvent.id;
            });

            if (match) {
              this.handleSelectEvent({
                event: match
              });
            } else {
              this.handleDeselectEvent();
            }
          }
        } //consider deselecting higher up for this


        if (prevProps.users !== users && prevProps.users.length !== users.length) {
          if (this.state.selectedEvent) {
            this.handleDeselectEvent();
          }
        }
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var _this$props12 = this.props,
          users = _this$props12.users,
          timezone = _this$props12.timezone,
          calendarBodyHeight = _this$props12.calendarBodyHeight,
          minTime = _this$props12.minTime,
          maxTime = _this$props12.maxTime,
          slotsPerHour = _this$props12.slotsPerHour,
          startDate = _this$props12.startDate,
          events = _this$props12.events,
          getStartTimeForUser = _this$props12.getStartTimeForUser,
          getEndTimeForUser = _this$props12.getEndTimeForUser,
          doubleClickTime = _this$props12.doubleClickTime,
          longPressDelay = _this$props12.longPressDelay,
          eventTimeFormat = _this$props12.eventTimeFormat,
          dragThreshold = _this$props12.dragThreshold,
          dragScrollSpeed = _this$props12.dragScrollSpeed,
          scrollDuringDragMargin = _this$props12.scrollDuringDragMargin,
          timeGutterFormat = _this$props12.timeGutterFormat,
          headerCellDowFormat = _this$props12.headerCellDowFormat,
          headerCellDayFormat = _this$props12.headerCellDayFormat;
      var _this$state = this.state,
          selectedEvent = _this$state.selectedEvent,
          highlightedEvent = _this$state.highlightedEvent,
          showEventDetailsInDialog = _this$state.showEventDetailsInDialog,
          enableAutoScrollX = _this$state.enableAutoScrollX,
          enableAutoScrollY = _this$state.enableAutoScrollY;
      var eventDetails = null;

      if (selectedEvent && selectedEvent.details) {
        eventDetails = (0, _objectSpread2.default)({}, selectedEvent.details);
        eventDetails.header = eventDetails.header || {};
        eventDetails.header.onClickClose = this.handleCloseEventDetails;
      }

      var hours = _time.default.generateTimeGutterHours({
        date: startDate,
        min: minTime,
        max: maxTime,
        timezone: timezone,
        format: timeGutterFormat
      });

      return _react.default.createElement("div", {
        ref: this.domNodeRef,
        className: (0, _classnames.default)('bigcalendar__view-day', {
          'has-selected-event': !!selectedEvent,
          'has-highlighted-event': !!highlightedEvent,
          'single-user': users.length === 1,
          'no-users': users.length === 0
        }),
        onMouseMove: this.handleMouseMove
      }, _react.default.createElement("div", {
        className: "bigcalendar__user-header"
      }, _react.default.createElement(_TeammateHeader.default, {
        onDoubleClick: this.handleDoubleClick,
        doubleClickTime: doubleClickTime,
        onScroll: this.handleTeammateScroll,
        users: users,
        ref: this.teammateHeaderRef
      })), _react.default.createElement("div", {
        className: "bigcalendar__body-wrapper",
        ref: this.bodyWrapperRef
      }, _react.default.createElement(_TimeGutter.default, {
        hours: hours,
        calendarBodyHeight: calendarBodyHeight,
        ref: this.timeGutterRef
      }, _react.default.createElement("div", {
        ref: this.mouseTimeIndicator,
        className: "bigcalendar__day-view-mouse-time-indicator hide"
      }, "...")), _react.default.createElement(_DragGrid.default, {
        onMouseDownOnView: this.handleMouseDownOnView,
        onSelectEvent: this.handleSelectEvent,
        onDeselectEvent: this.handleDeselectEvent,
        onHighlightEvent: this.handleHighlightEvent,
        onUnHighlightEvent: this.handleUnHighlightEvent,
        onMouseDownOnEvent: this.handleMouseDownOnEvent,
        getDragNode: this.getDragNode,
        snapEventToNearestValidX: this.snapEventToNearestValidX,
        snapEventToNearestValidY: this.snapEventToNearestValidY,
        onScroll: this.handleScroll,
        ref: this.dragGridRef,
        selectedEvent: selectedEvent,
        highlightedEvent: highlightedEvent,
        events: this.eventsForDay(events, startDate),
        sizeEvent: this.sizeEvent,
        timezone: timezone,
        onDragEvent: this.handleDragOfEvent,
        onDropEvent: this.handleDropEvent,
        onDoubleClick: this.handleDoubleClick,
        onClick: this.handleClick,
        doubleClickTime: doubleClickTime,
        longPressDelay: longPressDelay,
        onLongPressView: this.handleLongPressView,
        timeFormat: eventTimeFormat,
        dragThreshold: dragThreshold,
        scrollDuringDragMargin: scrollDuringDragMargin,
        dragScrollSpeed: dragScrollSpeed,
        enableAutoScrollX: enableAutoScrollX,
        enableAutoScrollY: enableAutoScrollY,
        style: {
          height: calendarBodyHeight
        }
      }, _react.default.createElement("div", {
        className: "scroll-inner",
        ref: this.scrollInnerRef
      }, users.map(function (user, idx) {
        return _react.default.createElement(_DayCol.default, {
          ref: function ref(_ref17) {
            _this3.dayColRefs[idx] = _ref17;
          },
          date: startDate,
          slotsPerHour: slotsPerHour,
          key: "day-col-".concat(user.id),
          hours: hours,
          user: user,
          startTime: getStartTimeForUser(user, startDate),
          endTime: getEndTimeForUser(user, startDate),
          minTime: minTime,
          maxTime: maxTime,
          timezone: timezone
        });
      }), this.isToday() && _react.default.createElement(_TimeLine.default, null)), eventDetails && !showEventDetailsInDialog && _react.default.createElement(_EventDetails.default, eventDetails))), eventDetails && showEventDetailsInDialog && _react.default.createElement(_Modal.default, {
        isOpen: true,
        isSmall: true,
        onRequestClose: this.handleDeselectEvent
      }, _react.default.createElement(_EventDetails.default, eventDetails)));
    }
  }]);
  return Day;
}(_react.PureComponent);

(0, _defineProperty2.default)(Day, "defaultProps", {
  dragThreshold: 10,
  scrollDuringDragMargin: 50,
  dragScrollSpeed: 5,
  eventRightMargin: 10,
  allowResizeToZeroDurationBlocks: true,
  allowResizeFirstBlockToZeroDuration: false,
  newEventDefaultDurationSec: 900 * 4,
  // 60 minutes
  timeGutterFormat: 'ha'
});
var _default = Day;
exports.default = _default;