"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _memoizeOne = _interopRequireDefault(require("memoize-one"));

var _momentTimezone = _interopRequireDefault(require("moment-timezone"));

var _default = {
  generateTimeGutterHours: (0, _memoizeOne.default)(function (_ref) {
    var date = _ref.date,
        min = _ref.min,
        max = _ref.max,
        timezone = _ref.timezone,
        _ref$format = _ref.format,
        format = _ref$format === void 0 ? 'ha' : _ref$format;
    var times = [];

    var current = _momentTimezone.default.tz("".concat(date.format('YYYY-MM-DD'), " ").concat(min, ":00"), timezone);

    var end = _momentTimezone.default.tz("".concat(date.format('YYYY-MM-DD'), " ").concat(max, ":00"), timezone);

    do {
      times.push({
        label: current.format(format),
        date: current.toDate(),
        hour: parseInt(current.format('h'), 10),
        timestamp: parseInt(current.format('X'), 10)
      });
      current.add(1, 'hours');
    } while (current.toDate() < end.toDate());

    return times;
  })
};
exports.default = _default;