"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Button = _interopRequireDefault(require("../../Button/Button"));

var _Icon = _interopRequireDefault(require("../../Icon/Icon"));

// NOTE: Cards should be built in a way that they can be created with JSON
var CardHeader = function CardHeader(props) {
  var title = props.title,
      labelText = props.labelText,
      labelIcon = props.labelIcon,
      actions = props.actions,
      contextMenu = props.contextMenu;
  return _react.default.createElement("div", {
    className: "card__header"
  }, (title || labelText || labelIcon) && _react.default.createElement("div", {
    className: "card__header-text"
  }, (labelText || labelIcon) && _react.default.createElement("div", {
    className: "card__header-label"
  }, labelIcon && _react.default.createElement(_Icon.default, {
    customIcon: labelIcon.customIcon,
    icon: labelIcon.name,
    isLineIcon: labelIcon.isLineIcon,
    className: (0, _classnames.default)('card__header-label-icon', labelIcon.className)
  }), labelText && _react.default.createElement("span", {
    className: "card__header-label-text"
  }, labelText)), title && _react.default.createElement("h3", {
    className: "card__title"
  }, title)), (actions || contextMenu) && _react.default.createElement("div", {
    className: "card__header-actions"
  }, _react.default.createElement(_react.Fragment, null, actions && actions.length > 0 && actions.map(function (action) {
    return _react.default.createElement(_Button.default, (0, _extends2.default)({
      key: action.text,
      kind: "simple",
      isSmall: true
    }, action));
  }), contextMenu)));
};

CardHeader.defualtProps = {
  title: '',
  labelText: '',
  labelIcon: null,
  headerActions: [],
  contextMenu: null
};
var _default = CardHeader;
exports.default = _default;