"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _velocityReact = require("velocity-react");

var _Button = _interopRequireDefault(require("../Button/Button"));

var _ButtonGroup = _interopRequireDefault(require("../ButtonGroup/ButtonGroup"));

var _Icon = _interopRequireDefault(require("../Icon/Icon"));

var MoreIcon = function MoreIcon(props) {
  return _react.default.createElement("svg", props, _react.default.createElement("path", {
    clipRule: "evenodd",
    d: "M3.375 14.648a2.625 2.625 0 1 0 0-5.25 2.625 2.625 0 0 0 0 5.25zM20.625 14.648a2.625 2.625 0 1 0 0-5.25 2.625 2.625 0 0 0 0 5.25zM12 14.648a2.625 2.625 0 1 0 0-5.25 2.625 2.625 0 0 0 0 5.25z",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

MoreIcon.defaultProps = {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg"
};

var ContextMenu =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(ContextMenu, _Component);

  function ContextMenu() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, ContextMenu);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(ContextMenu)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "ref", _react.default.createRef());
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "menuRef", _react.default.createRef());
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      isVisible: false,
      overflowBottom: false,
      overflowLeft: false
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "componentWillUnmount", function () {
      document.removeEventListener('click', _this.handleClickOutside, false);
      document.removeEventListener('keyup', _this.handleEscape, false);
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleClickOutside", function (e) {
      _this.setState({
        isVisible: false
      }, function () {
        return _this.manageListeners();
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleEscape", function (e) {
      if (e.key === 'Escape') {
        _this.setState({
          isVisible: false
        }, function () {
          return _this.manageListeners();
        });
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleToggle", function () {
      _this.setState(function (prevState) {
        return {
          isVisible: !prevState.isVisible
        };
      }, function () {
        _this.manageListeners();

        if (_this.props.onToggleContextMenuVisible) {
          _this.props.onToggleContextMenuVisible(_this.state.isVisible);
        }

        var overflowLeft = false;
        var overflowBottom = false;

        if (_this.menuRef && _this.menuRef.current) {
          var overflowParent = _this.findOverflowParent(_this.menuRef.current);

          if (overflowParent) {
            var overflowBox = overflowParent.getBoundingClientRect();
            var overflowBoxBottom = overflowBox.top + overflowBox.height;

            var menuBox = _this.menuRef.current.getBoundingClientRect();

            var menuBottom = menuBox.top + menuBox.height;

            if (menuBottom > overflowBoxBottom) {
              overflowBottom = true;
            } else if (menuBox.left < overflowBox.left) {
              overflowLeft = true;
            }
          }
        }

        _this.setState(function (prevState) {
          return {
            overflowLeft: !prevState.isLeftAligned && overflowLeft,
            overflowBottom: !prevState.isBottomAligned && overflowBottom
          };
        });
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "findOverflowParent", function (node) {
      if (node == null || typeof node === 'undefined' || node.nodeType !== 1) {
        return null;
      }

      var computedStyle = window.getComputedStyle(node);

      if (computedStyle.overflow !== 'visible') {
        return node;
      } else {
        return _this.findOverflowParent(node.parentNode);
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "manageListeners", function () {
      if (typeof document !== 'undefined') {
        if (_this.state.isVisible) {
          document.addEventListener('click', _this.handleClickOutside, false);
          document.addEventListener('keyup', _this.handleEscape, false);
        } else {
          document.removeEventListener('click', _this.handleClickOutside, false);
          document.removeEventListener('keyup', _this.handleEscape, false);
        }
      }
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleClickAction", function (payload, callback) {
      if (_this.props.closeOnSelectAction) {
        _this.handleToggle();
      }

      callback && callback(payload);
    });
    return _this;
  }

  (0, _createClass2.default)(ContextMenu, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$state = this.state,
          isVisible = _this$state.isVisible,
          overflowBottom = _this$state.overflowBottom,
          overflowLeft = _this$state.overflowLeft;
      var _this$props = this.props,
          actions = _this$props.actions,
          isLeftAligned = _this$props.isLeftAligned,
          isBottomAligned = _this$props.isBottomAligned,
          isSimple = _this$props.isSimple,
          size = _this$props.size,
          icon = _this$props.icon,
          text = _this$props.text,
          isTextOnly = _this$props.isTextOnly;
      var buttonClass = (0, _classnames.default)('context-menu', {
        'context-menu--is-visible': isVisible
      });
      var menuClass = (0, _classnames.default)('context-menu__menu', {
        'context-menu__menu-left': isLeftAligned || overflowLeft,
        'context-menu__menu-large': size === 'large',
        'context-menu__menu-top': isBottomAligned || overflowBottom
      });
      return _react.default.createElement("div", {
        className: buttonClass,
        ref: this.ref
      }, _react.default.createElement(_Button.default, {
        kind: isSimple ? 'simple' : '',
        className: "context-menu__button",
        onClick: this.handleToggle,
        icon: !isTextOnly && (icon || {
          customIcon: MoreIcon,
          isLineIcon: true
        }),
        text: text
      }), _react.default.createElement(_velocityReact.VelocityTransitionGroup, {
        enter: {
          animation: {
            opacity: 1,
            translateY: '4px'
          },
          duration: 200
        },
        leave: {
          animation: {
            opacity: 0,
            translateY: '12px'
          },
          duration: 200
        }
      }, isVisible && _react.default.createElement("div", {
        className: menuClass,
        ref: this.menuRef
      }, _react.default.createElement(_ButtonGroup.default, {
        kind: "floating",
        actions: actions.map(function (action) {
          var btnAction = (0, _objectSpread2.default)({}, action);
          var oldOnclick = btnAction.onClick;

          btnAction.onClick = function (payload) {
            _this2.handleClickAction(payload, oldOnclick);
          };

          btnAction.className = 'context-menu__item-btn';
          return btnAction;
        })
      }))));
    }
  }]);
  return ContextMenu;
}(_react.Component);

exports.default = ContextMenu;
(0, _defineProperty2.default)(ContextMenu, "defaultProps", {
  isLeftAligned: false,
  isBottomAligned: false,
  isTextOnly: false
});