"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var icons = _interopRequireWildcard(require("../../icons.js"));

// NOTE: This component should only include a few of the most commonly
// used icons for developer convenience
var Icon = function Icon(props) {
  var icon = props.icon,
      customIcon = props.customIcon,
      isLineIcon = props.isLineIcon,
      className = props.className,
      rest = (0, _objectWithoutProperties2.default)(props, ["icon", "customIcon", "isLineIcon", "className"]);

  if (!customIcon && (!icon || !icons[icon.toLowerCase()])) {
    throw new Error("<Icon /> could not find an icon with key ".concat(icon));
  }

  var Handler = customIcon || icons[icon.toLowerCase()];
  return _react.default.createElement(Handler, (0, _extends2.default)({
    className: (0, _classnames.default)(className, {
      'u-icon__no-fill': isLineIcon,
      'u-icon__stroke': isLineIcon
    })
  }, rest));
};

var _default = Icon;
exports.default = _default;