"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var Layout = function Layout(props) {
  var children = props.children,
      isCentered = props.isCentered,
      isFullBleed = props.isFullBleed,
      width = props.width,
      className = props.className;
  return _react.default.createElement("div", {
    className: (0, _classnames.default)('layout', className, {
      'layout--centered': isCentered,
      'layout--wide': width === 'wide',
      'layout--tight': width === 'tight',
      'layout--full-width': width === 'full-width',
      'layout--full-bleed': isFullBleed
    })
  }, children);
};

Layout.defaultProps = {
  isCentered: false,
  width: 'base',
  isFullBleed: false
};
var _default = Layout;
exports.default = _default;