"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _is_js = _interopRequireDefault(require("is_js"));

var _classnames = _interopRequireDefault(require("classnames"));

var _link = _interopRequireDefault(require("next/link"));

var _Icon = _interopRequireDefault(require("../../../Icon/Icon"));

var BackIcon = function BackIcon(props) {
  return _react.default.createElement("svg", props, _react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M15.41 16.59L10.83 12l4.58-4.59L14 6l-6 6 6 6 1.41-1.41z"
  }));
};

BackIcon.defaultProps = {
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg"
};

var PageHeader = function PageHeader(props) {
  var title = props.title,
      backLinkHref = props.backLinkHref,
      onClickBack = props.onClickBack,
      backLinkText = props.backLinkText,
      linkProps = props.linkProps;
  var backLinkClass = 'page__header-back-link';
  var anchor;

  if (onClickBack || backLinkHref) {
    var backIcon = _react.default.createElement("span", {
      className: "page__header-back-link-icon"
    }, _react.default.createElement(_Icon.default, {
      customIcon: BackIcon
    }));

    if (onClickBack) {
      anchor = _react.default.createElement("button", {
        className: (0, _classnames.default)(backLinkClass, 'btn'),
        type: "button",
        onClick: onClickBack
      }, backIcon, backLinkText);
    } else if (backLinkHref) {
      // Check if the link is relative (client-side) or absolute
      var linkIsRelative = true;

      if (backLinkHref && _is_js.default.url(backLinkHref)) {
        linkIsRelative = false;
      } // Only return a Next link if the href is relative


      anchor = linkIsRelative ? _react.default.createElement(_link.default, (0, _extends2.default)({
        href: backLinkHref
      }, linkProps), _react.default.createElement("a", {
        className: backLinkClass
      }, backIcon, backLinkText)) : _react.default.createElement("a", {
        href: backLinkHref,
        className: backLinkClass
      }, backIcon, backLinkText);
    }
  }

  return _react.default.createElement("header", {
    class: "page__header"
  }, anchor && anchor, _react.default.createElement("h1", null, title));
};

PageHeader.defaultProps = {
  title: '',
  backLinkText: 'Back',
  backLinkHref: ''
};
var _default = PageHeader;
exports.default = _default;