"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _react3 = require("@storybook/addon-knobs/react");

var _tableData = require("../../../.storybook/data/tableData");

var _index = _interopRequireWildcard(require("./index"));

var _Layout = _interopRequireWildcard(require("../Layout"));

var _Card = _interopRequireWildcard(require("../Card"));

var _Tabs = _interopRequireDefault(require("../Tabs"));

var stories = (0, _react2.storiesOf)('Table', module);
stories.addDecorator(_react3.withKnobs);
var locations = (0, _tableData.generateLocations)({
  amount: 149
});
var columns = [{
  Header: 'Public Name',
  accessor: 'publicName',
  // NOTE: It looks like with has to be passed here to override built-in inline styles
  minWidth: 300,
  maxWidth: 400,
  Cell: function Cell(row) {
    return _react.default.createElement("a", {
      href: "#"
    }, row.value);
  }
}, {
  Header: 'Store',
  accessor: 'storeNumber',
  minWidth: 80,
  maxWidth: 100
}, {
  Header: 'Status',
  accessor: 'status',
  minWidth: 80,
  maxWidth: 100
}, {
  Header: 'Address',
  accessor: 'address',
  minWidth: 420,
  maxWidth: 500
}];
stories.add('Table', function () {
  return _react.default.createElement(_Layout.default, {
    width: "full-width"
  }, _react.default.createElement(_Layout.LayoutSection, null, _react.default.createElement(_Card.default, null, (0, _react3.boolean)('Show Title', false) && _react.default.createElement(_Card.CardHeader, {
    title: (0, _react3.text)('Title', 'Locations')
  }), (0, _react3.boolean)('Show Tabs', false) && _react.default.createElement(_Tabs.default, {
    tabs: [{
      text: 'All locations',
      isCurrent: true
    }, {
      text: 'Midwest'
    }, {
      text: 'Northeast'
    }],
    isPadded: true
  }), _react.default.createElement(_index.TableSearch, {
    placeholder: "Search locations\u2026"
  }), (0, _react3.boolean)('Is Filtered', false) && _react.default.createElement(_index.TableFilters, {
    filters: [{
      text: 'State: IL'
    }, {
      text: 'Status: Published'
    }, {
      text: 'City: Bolingbrook'
    }, {
      text: 'City: Chicago'
    }, {
      text: 'Chimera Hair Salon'
    }]
  }), _react.default.createElement(_index.default, {
    className: "services-table",
    data: locations,
    columns: columns,
    sortable: true,
    defaultPageSize: 50,
    defaultSorted: [{
      id: 'publicName',
      desc: false
    }],
    loading: false,
    paginationProps: {
      showPages: true,
      onPageButtonClick: function onPageButtonClick() {
        return console.log('onPageButtonClick');
      },
      totalPages: Math.ceil(locations.length / 50),
      currentPage: 0
    },
    keyField: "id"
  }))));
}).add('Selectable Table', function () {
  return _react.default.createElement(_Layout.default, {
    width: "full-width"
  }, _react.default.createElement(_Layout.LayoutSection, null, _react.default.createElement(_Card.default, null, (0, _react3.boolean)('Show Title', false) && _react.default.createElement(_Card.CardHeader, {
    title: (0, _react3.text)('Title', 'Locations')
  }), (0, _react3.boolean)('Show Tabs', false) && _react.default.createElement(_Tabs.default, {
    tabs: [{
      text: 'All locations',
      isCurrent: true
    }, {
      text: 'Midwest'
    }, {
      text: 'Northeast'
    }],
    isPadded: true
  }), _react.default.createElement(_index.TableSearch, {
    placeholder: "Search locations\u2026"
  }), (0, _react3.boolean)('Is Filtered', false) && _react.default.createElement(_index.TableFilters, {
    filters: [{
      text: 'State: IL'
    }, {
      text: 'Status: Published'
    }, {
      text: 'City: Bolingbrook'
    }, {
      text: 'City: Chicago'
    }, {
      text: 'Chimera Hair Salon'
    }]
  }), _react.default.createElement(_index.default, {
    className: "services-table-selectable",
    data: locations,
    columns: columns,
    sortable: true,
    defaultPageSize: 50,
    defaultSorted: [{
      id: 'publicName',
      desc: false
    }],
    loading: false,
    paginationProps: {
      showPages: true,
      onPageButtonClick: function onPageButtonClick() {
        return console.log('onPageButtonClick');
      },
      totalPages: Math.ceil(locations.length / 50),
      currentPage: 0
    },
    isSelectable: true,
    kind: "location",
    selectType: "checkbox",
    bulkActions: [{
      text: 'Add to location group',
      onClick: function onClick() {
        return console.log('Click');
      }
    }, {
      text: 'Make locations live',
      onClick: function onClick() {
        return console.log('Click');
      }
    }, {
      text: 'Hide locations',
      onClick: function onClick() {
        return console.log('Click');
      }
    }, {
      text: 'Delete locations',
      onClick: function onClick() {
        return console.log('Click');
      }
    }],
    keyField: "id"
  }))));
});