"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _reactTable = _interopRequireDefault(require("react-table"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Forms = require("../Forms");

var _Pagination = _interopRequireDefault(require("../Pagination/Pagination"));

var _Icon = _interopRequireDefault(require("../Icon/Icon"));

var _ContextMenu = _interopRequireDefault(require("../ContextMenu/ContextMenu"));

// Uses React Table. See https://react-table.js.org/#/story/readme details.
var Table =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(Table, _Component);

  function Table() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, Table);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(Table)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      selectedIds: [],
      allRowsSelected: false
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleChange", function (_ref) {
      var id = _ref.id,
          pageSize = _ref.pageSize;

      _this.setState(function (prevState) {
        var idx = prevState.selectedIds.indexOf(id);
        var newIds = (0, _toConsumableArray2.default)(prevState.selectedIds);

        if (idx > -1) {
          newIds.splice(idx, 1);
        } else {
          if (prevState.selectedIds.length === 0) {
            newIds = [id];
          } else {
            newIds.push(id);
          }
        }

        return {
          selectedIds: newIds,
          allRowsSelected: newIds.length === pageSize
        };
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleSelectAll", function () {
      var currentPage = _this.table.state.page;
      var pageSize = _this.table.state.pageSize;

      var allRows = _this.table.getResolvedState().sortedData;

      var startIdx = currentPage * pageSize;
      var currentRows = allRows.slice(startIdx, startIdx + pageSize).map(function (item) {
        return item._original;
      });
      var selectedIds = currentRows.map(function (row) {
        return row.id;
      });

      _this.setState(function (prevState) {
        return {
          allRowsSelected: !prevState.allRowsSelected,
          selectedIds: prevState.allRowsSelected ? [] : selectedIds
        };
      });
    });
    return _this;
  }

  (0, _createClass2.default)(Table, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          data = _this$props.data,
          columns = _this$props.columns,
          className = _this$props.className,
          paginationProps = _this$props.paginationProps,
          isSelectable = _this$props.isSelectable,
          kind = _this$props.kind,
          pluralKind = _this$props.pluralKind,
          bulkActions = _this$props.bulkActions,
          sortable = _this$props.sortable,
          rest = (0, _objectWithoutProperties2.default)(_this$props, ["data", "columns", "className", "paginationProps", "isSelectable", "kind", "pluralKind", "bulkActions", "sortable"]);
      var _this$state = this.state,
          selectedIds = _this$state.selectedIds,
          allRowsSelected = _this$state.allRowsSelected;
      var columnsToRender = (0, _toConsumableArray2.default)(columns);

      if (isSelectable) {
        columnsToRender.unshift({
          id: 'checkbox',
          accessor: '',
          Header: function Header() {
            return _react.default.createElement(_Forms.Checkbox, {
              id: "",
              isIndeterminate: !allRowsSelected && selectedIds.length > 0 && selectedIds.length < data.length // NOTE: Using state here because this Header can't access page size on its own
              ,
              checked: allRowsSelected,
              onChange: function onChange() {
                return _this2.handleSelectAll();
              }
            });
          },
          Cell: function Cell(props) {
            var original = props.original,
                pageSize = props.pageSize;
            var id = original.id;
            return _react.default.createElement(_Forms.Checkbox, {
              id: id,
              checked: selectedIds.indexOf(id) > -1,
              onChange: function onChange() {
                return _this2.handleChange({
                  id: id,
                  pageSize: pageSize
                });
              }
            });
          },
          sortable: false,
          width: 36
        });
      } // Handle updating header columns when at least one row is selected


      if (isSelectable && selectedIds.length > 0) {
        var numSelectedRows = selectedIds.length;
        var selectedText = "".concat(numSelectedRows, " selected");

        if (numSelectedRows > 1) {
          if (pluralKind) {
            selectedText = "".concat(numSelectedRows, " ").concat(pluralKind, " selected");
          } else if (kind) {
            selectedText = "".concat(numSelectedRows, " ").concat(kind, "s selected");
          }
        } else {
          if (kind) {
            selectedText = "".concat(numSelectedRows, " ").concat(kind, " selected");
          }
        } // Change the header text to reflect which rows are selected


        columnsToRender = columnsToRender.map(function (col, idx) {
          if (idx === 0) {
            return col;
          } else if (idx === 1) {
            return (0, _objectSpread2.default)({}, col, {
              Header: _react.default.createElement(_react.Fragment, null, _react.default.createElement("p", {
                className: "table-selected-text"
              }, selectedText), bulkActions && bulkActions.length > 0 && _react.default.createElement(_ContextMenu.default, {
                actions: bulkActions,
                text: "Actions",
                isSimple: true,
                isTextOnly: true,
                isLeftAligned: true,
                closeOnSelectAction: true
              }))
            });
          }

          return (0, _objectSpread2.default)({}, col, {
            Header: null
          });
        });
      }

      return _react.default.createElement(_reactTable.default, (0, _extends2.default)({
        ref: function ref(_ref2) {
          return _this2.table = _ref2;
        },
        data: data,
        columns: columnsToRender,
        className: (0, _classnames.default)('table', className),
        sortable: isSelectable && selectedIds.length > 0 ? false : sortable,
        getTableProps: function getTableProps() {
          return {
            className: 'table__inner'
          };
        },
        getTbodyProps: function getTbodyProps() {
          return {
            className: 'table__body'
          };
        },
        getTheadTrProps: function getTheadTrProps() {
          return {
            className: (0, _classnames.default)('table-header-row', {
              'table-header-row--has-selections': isSelectable && selectedIds.length > 0
            })
          };
        },
        getTheadThProps: function getTheadThProps(state, rowInfo, column, instance) {
          return {
            className: (0, _classnames.default)('table-header-cell', {
              'table-checkbox-cell': column.id === 'checkbox'
            }),
            width: 'auto'
          };
        },
        getTrProps: function getTrProps() {
          return {
            className: 'table-row'
          };
        },
        getTdProps: function getTdProps(state, rowInfo, column, instance) {
          return {
            className: (0, _classnames.default)('table-cell', {
              'table-checkbox-cell': column.id === 'checkbox'
            }),
            width: 'auto'
          };
        },
        getPaginationProps: function getPaginationProps() {
          return {
            className: 'table__paginationq'
          };
        },
        getLoadingProps: function getLoadingProps(state) {
          return {
            className: state.loading ? 'table-loader--is-visible' : 'table-loader'
          };
        },
        ThComponent: function ThComponent(tableProps) {
          var toggleSort = tableProps.toggleSort,
              className = tableProps.className,
              rest = (0, _objectWithoutProperties2.default)(tableProps, ["toggleSort", "className"]);
          var isSortable = className && className.indexOf('-cursor-pointer') > -1;
          var isSortedAsc = className && className.indexOf('-sort-asc') > -1;
          var isSortedDesc = tableProps.className && tableProps.className.indexOf('-sort-desc') > -1;
          return _react.default.createElement("div", (0, _extends2.default)({
            onClick: toggleSort,
            className: (0, _classnames.default)(className, {
              'table-header-cell--is-sortable': (isSortable || isSortedAsc || isSortedDesc) && selectedIds.length === 0,
              'table-header-cell--is-sorted-asc': isSortedAsc,
              'table-header-cell--is-sorted-desc': isSortedDesc
            })
          }, rest), tableProps.children, (isSortable || isSortedAsc || isSortedDesc) && selectedIds.length === 0 && _react.default.createElement(_Icon.default, {
            icon: "arrow_drop_down",
            className: (0, _classnames.default)('table-header-cell__icon', {
              'table-header-cell__icon--is-visible': isSortedAsc || isSortedDesc,
              'table-header-cell__icon--is-reversed': isSortedDesc
            })
          }));
        },
        PaginationComponent: function PaginationComponent(tableProps) {
          return _react.default.createElement("div", {
            className: "table-pagination__wrapper"
          }, _react.default.createElement(_Pagination.default, (0, _extends2.default)({}, paginationProps, tableProps)));
        }
      }, rest));
    }
  }]);
  return Table;
}(_react.Component);

exports.default = Table;
(0, _defineProperty2.default)(Table, "defaultProps", {
  className: '',
  paginationProps: {},
  isSelectable: false
});